
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(7L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 70L);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(Double.NaN, 1.1349332376314134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.000001f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test004() {}
// Defects4J: flaky method
//   @Test
//   public void test004() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }
// 
// 
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
//     double d2 = normalDistribution0.sample();
//     double d4 = normalDistribution0.inverseCumulativeProbability(0.031164246172632026d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b1 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == (-0.0038310850577256534d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == (-1.8639516652245762d));
// 
//   }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(100L, (-7L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray((-10), 1.9999999f, 10.000001f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.7905761457266476d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.992904258098618d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.5750061825784119d), 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-6.322259837880535E11d));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.0503483622726932d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
    randomDataImpl1.reSeed(10L);
    int i14 = randomDataImpl1.nextBinomial(0, 0.0d);
    int i17 = randomDataImpl1.nextZipf(33, 1.0285940155217264d);
    // The following exception was thrown during execution in test generation
    try {
      int i20 = randomDataImpl1.nextSecureInt(125, 108);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 28);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.3460768975631897d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3460768975631897d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 126);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.027705053070945423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02769796672443271d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)2.0f, (java.lang.Number)572.9577951308232d, (java.lang.Number)0.3062999950709329d);
    java.lang.Number number4 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 572.9577951308232d+ "'", number4.equals(572.9577951308232d));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(5.411144112982296d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7332891004895102d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(53L, 70L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3710L);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.016945357741398725d, (-0.9974947163822921d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01694535774139872d);

  }

  @Test
  public void test019() {}
// Defects4J: flaky method
//   @Test
//   public void test019() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     int i3 = randomDataImpl0.nextZipf(140, 0.008935369162973229d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = randomDataImpl0.nextUniform((-0.914493079552595d), (-169.06365548738233d), true);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 16);
// 
//   }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test021() {}
// Defects4J: flaky method
//   @Test
//   public void test021() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }
// 
// 
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
//     boolean b2 = normalDistribution0.isSupportConnected();
//     boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
//     double d4 = normalDistribution0.getSupportLowerBound();
//     double d5 = normalDistribution0.getStandardDeviation();
//     double d6 = normalDistribution0.sample();
//     boolean b7 = normalDistribution0.isSupportConnected();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b1 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b2 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == (-0.17401369047041912d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == true);
// 
//   }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(28, 0.0f, 1.0f, 130);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    float f3 = resizableDoubleArray2.getExpansionFactor();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = resizableDoubleArray2.substituteMostRecentElement(0.02762562018745763d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 2.0f);

  }

  @Test
  public void test024() {}
// Defects4J: flaky method
//   @Test
//   public void test024() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d15 = randomDataImpl1.nextT(0.1781263644950165d);
//     double d18 = randomDataImpl1.nextGamma(0.0d, 0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d21 = randomDataImpl1.nextBeta((-1.0d), 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-25L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 163476.49769306323d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.0d);
// 
//   }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.08330726157746506d, 6.480542736637947E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999983894441402d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(7.448959205493294d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.435186408494753d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0749511894805865d, 1348.2003945182503d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0749511894805865d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(158.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.75573219901571d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.3775635079667623d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.36912387860982404d));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    resizableDoubleArray6.setExpansionFactor(2.0f);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy11 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking13 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy11, randomGenerator12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array18 = naturalRanking13.rank(d_array17);
    resizableDoubleArray6.addElements(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 43847.32782364254d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray((-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(7.85999636362304d, 31.773637887754774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.85999636362304d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(125, 130);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(53L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 53L);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.7879751556820058d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4547646913461962d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.20577274269622692d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20875314103852796d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.9999983894441402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8414701146197604d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(5.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(22762.72385750362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    double d4 = resizableDoubleArray2.addElementRolling(0.16973481848200667d);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.discardMostRecentElements(108);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0014873223608793656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0014884289733437667d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(16, (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(7L, 108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9059792967709091551L));

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 572.9577951308232d };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException4 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)mathArithmeticException5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.5110541309519602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.533592322070495d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(3.0477665652779375E13d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.31935613962987E11d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-19.13458234428518d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2811828080936437d));

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(5.75573219901571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.881784197001252E-16d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-84L), (-23L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1932L);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-90L), (-66L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(2535, (-90L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(5.75573219901571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.660818365085706d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d3 = resizableDoubleArray1.addElementRolling(1.0d);
    double[] d_array4 = resizableDoubleArray1.getInternalValues();
    float f5 = resizableDoubleArray1.getContractionCriteria();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 2.5f);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    double d5 = randomDataImpl1.nextExponential(100.0d);
    org.apache.commons.math3.distribution.RealDistribution realDistribution6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = randomDataImpl1.nextInversionDeviate(realDistribution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 224.38740780195423d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(33.98305623178448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8682949217668944E14d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-47L), 3710L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(2.283885218954072d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.283885218954072d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.4210855E-14f, 0.6914624612740129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4210856E-14f);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(2535, 105);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-419046617));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.9738359886602126d, (-0.17401369047041912d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.07024615416230212d));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(15625, 2.3841858E-7f, (-1.2676505E30f));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    randomDataImpl1.reSeed(10L);
    randomDataImpl1.reSeedSecure((-1L));
    randomDataImpl1.reSeedSecure();
    int i14 = randomDataImpl1.nextPascal(108, 0.03986131680838016d);
    randomDataImpl1.reSeedSecure();
    // The following exception was thrown during execution in test generation
    try {
      randomDataImpl1.setSecureAlgorithm("843afe5efb0f10d7c1693c202c288d0972ada8ddfc2e79c0e761604397ddfa9648637b3ab08d523d55ce379d9fe21b4d57dfaa862fea18cf967d7cc306e7e", "3d17417d4133d7a7750478f98b9267241d0e89141eb9c30e12ed5f693659d2bfb94ecc6dac8c6ccaa8b493562d3e9c18d7b1");
      org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
    } catch (java.security.NoSuchProviderException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
        org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2535);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(15.104412573075516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999998481d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.192093E-7f);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0f, (java.lang.Number)(byte)10, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b6 = numberIsTooLargeException3.getBoundIsAllowed();
    java.lang.Number number7 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)10+ "'", number7.equals((byte)10));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(1.528744170701761E-9d, 0.5637028616507731d, 0.03986131680838016d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking1 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy2 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest3 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy2);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray4);
    java.lang.Object obj6 = null;
    boolean b7 = resizableDoubleArray5.equals(obj6);
    double[] d_array8 = resizableDoubleArray5.getElements();
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy9 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking11 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy9, randomGenerator10);
    double[] d_array15 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array16 = naturalRanking11.rank(d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = mannWhitneyUTest3.mannWhitneyU(d_array8, d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc(0.20379655248296333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.773184579645984d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(7606);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 7606);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.6988498094591846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6433375470525552d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.204484017332436E23d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(0.3022994419969022d, (-1.2089632430078703d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.2211241788582477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.6822492987237483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.38236014728172457d));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(122, 7606);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)5729.5779513082325d);
    java.lang.Throwable[] throwable_array2 = notPositiveException1.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError3 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)notPositiveException1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathInternalError3.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = mathInternalError3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-18L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-202.37331970420357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8421709430404007E-14d);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-419046617));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 419046617);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(20L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    resizableDoubleArray0.clear();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = resizableDoubleArray0.getElement(24);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.8404872281329935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6860670441474556d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(100.0f, 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(105, 2.3841858E-7f, 1.4210855E-14f, 40);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.8720873570426033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-56L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 56L);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.0E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.2058472654203443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.520074604133084d);

  }

  @Test
  public void test094() {}
// Defects4J: flaky method
//   @Test
//   public void test094() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d4 = randomDataImpl1.nextCauchy(2.7581226324091723d, 10.0d);
//     double d7 = randomDataImpl1.nextBeta(0.5210953054937474d, 161.9816220746272d);
//     double d9 = randomDataImpl1.nextT(0.8717983538378159d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long12 = randomDataImpl1.nextLong(56L, (-2L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 12.927148201458412d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.001219957234645787d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 8.622851750435668d);
// 
//   }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP(2.2383387418188936d, (-0.0038310850577256534d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma((-0.5750061825784117d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6499249328996666d));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.0014873223608793656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1141480164359433d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(130, 122);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 122);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc(0.008935369162973229d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9899177839110477d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    int i13 = randomDataImpl1.nextHypergeometric(40, 40, 3);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = randomDataImpl1.nextUniform(1.7905761457266476d, 1.0285940155217264d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(1, 33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 34);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(8.377739493577058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.12677046083046012d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(8, 1.9999999f, 1.1920929E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.3178008064861262d, (-19.13458234428518d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3178008064861262d);

  }

  @Test
  public void test105() {}
// Defects4J: flaky method
//   @Test
//   public void test105() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextCauchy(0.5772156649015329d, 0.9677066418664539d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = randomDataImpl1.nextExponential(0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9747823404136176d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 3.1863417337433964d);
// 
//   }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    resizableDoubleArray0.clear();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = resizableDoubleArray0.getElement(7606);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5493061443340549d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(6.0d, 15625);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test109() {}
// Defects4J: flaky method
//   @Test
//   public void test109() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i8 = randomDataImpl0.nextSecureInt(125, 34);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 100);
// 
//   }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array10 = resizableDoubleArray9.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = resizableDoubleArray9.copy();
    resizableDoubleArray11.contract();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray11);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray6.setExpansionFactor(0.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray11);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 40320L);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(108);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3246418194520043E174d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution3 = new org.apache.commons.math3.distribution.NormalDistribution(0.9738359886602126d, 1.2058472654203443d, 31.773637887754774d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.254163185523515d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(34, 12217);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-12183));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(0.5126907602619235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.9022064519451782d));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(105, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    randomDataImpl1.reSeed(10L);
    // The following exception was thrown during execution in test generation
    try {
      long long10 = randomDataImpl1.nextPoisson((-0.8366105123463112d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = resizableDoubleArray0.copy();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray0.discardMostRecentElements((-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    randomDataImpl1.reSeed(10L);
    randomDataImpl1.reSeedSecure((-1L));
    // The following exception was thrown during execution in test generation
    try {
      int i13 = randomDataImpl1.nextZipf((-127), 1.2196468462586152E-9d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.0f), 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException(number0, (java.lang.Number)0.533592322070495d, (java.lang.Number)0.12677046083046012d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(43847.32782364254d, 4.183017577309215d, 5.75573219901571d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() {}
// Defects4J: flaky method
//   @Test
//   public void test126() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     randomDataImpl0.reSeedSecure(0L);
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i9 = randomDataImpl0.nextInversionDeviate(integerDistribution8);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 101);
// 
//   }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d4 = resizableDoubleArray2.addElementRolling(1.0d);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray2);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray0.discardFrontElements(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.02762562018745763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.16620956707559775d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(3710L, (-2025644137419103232L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2025644137419106942L);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(397.28447803570276d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 397.28447803570276d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(506.132825342035d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5688205634207069d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    int i3 = resizableDoubleArray0.getExpansionMode();
    double[] d_array4 = null;
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray0.addElements(d_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 7606);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc(43847.32782364254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)5729.5779513082325d, (java.lang.Number)(byte)10, (java.lang.Number)158.02878621655813d);
    java.lang.String str4 = outOfRangeException3.toString();
    java.lang.Number number5 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.OutOfRangeException: 5,729.578 out of [10, 158.029] range"+ "'", str4.equals("org.apache.commons.math3.exception.OutOfRangeException: 5,729.578 out of [10, 158.029] range"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)10+ "'", number5.equals((byte)10));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test138() {}
// Defects4J: flaky method
//   @Test
//   public void test138() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i17 = randomDataImpl1.nextHypergeometric(34, (-4), (-4));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
//     } catch (org.apache.commons.math3.exception.NotPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-82L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
// 
//   }

  @Test
  public void test139() {}
// Defects4J: flaky method
//   @Test
//   public void test139() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long13 = randomDataImpl1.nextPoisson((-0.5365822643331124d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-56L));
// 
//   }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 100.00001f);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.6499249328996666d), 2.7581226324091723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.833662448812903d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-5L), (-74L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 370L);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(10.000001f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-10.000001f));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.12677046083046012d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(4, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test146() {}
// Defects4J: flaky method
//   @Test
//   public void test146() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     java.lang.String str13 = randomDataImpl1.nextSecureHexString(16);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = randomDataImpl1.nextGaussian((-1.9022064519451782d), (-0.15432306255983064d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-70L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "e6a1d5e38edc4f58"+ "'", str13.equals("e6a1d5e38edc4f58"));
// 
//   }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(4, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test148() {}
// Defects4J: flaky method
//   @Test
//   public void test148() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     double d8 = randomDataImpl1.nextT(199.99999999999997d);
//     long long11 = randomDataImpl1.nextSecureLong((-47L), 7L);
//     java.util.Collection collection12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array14 = randomDataImpl1.nextSample(collection12, (-10));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == (-0.42679320452120423d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 5L);
// 
//   }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d8 = randomDataImpl1.nextT(199.99999999999997d);
    long long10 = randomDataImpl1.nextPoisson(0.9713975132247312d);
    int i13 = randomDataImpl1.nextPascal(15625, 0.008935369162973229d);
    org.apache.commons.math3.distribution.IntegerDistribution integerDistribution14 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i15 = randomDataImpl1.nextInversionDeviate(integerDistribution14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.42679320452120423d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1725707);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.9886441842744987d, 0.9899177839110477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.36667799323867933d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(2.2383387418188936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1750604643046938d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(byte)(-1));
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = randomDataImpl1.nextUniform(0.0d, (-0.9974947163822921d), false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(0.7930753941060231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 15.162530699591972d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.6990762583872259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2544688057161206d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-100L), (java.lang.Number)2.1719206996217424d, false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor((-0.5880226291107838d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array10 = resizableDoubleArray9.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = resizableDoubleArray9.copy();
    resizableDoubleArray11.contract();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray11);
    int i14 = resizableDoubleArray6.getExpansionMode();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray6.discardMostRecentElements((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0, 2535);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test160() {}
// Defects4J: flaky method
//   @Test
//   public void test160() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = randomDataImpl1.nextT((-6.322259837880535E11d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-47L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
// 
//   }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1718.074052462471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.2350418788681687d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)163476.49769306323d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.7581226324091723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.0d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-84L), (-61L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-61L));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.20379655248296333d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20521019982967997d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(7L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.0d, 0.027705053070945423d, 0.027712143770207958d, 419046617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test170() {}
// Defects4J: flaky method
//   @Test
//   public void test170() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d4 = randomDataImpl1.nextGaussian(0.027705053070945423d, 9.596471481410536E-5d);
//     double d6 = randomDataImpl1.nextT(0.1781263644950165d);
//     java.util.Collection collection7 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array9 = randomDataImpl1.nextSample(collection7, 126);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 0.027683672084584342d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 884.6809030528627d);
// 
//   }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc(2.1684043449710089E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-5.4604557801341325E-6d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-9.530293202289618E-8d));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.8404872281329935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(126, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1L), (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(31.773637887754774d, 3.2350418788681687d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.33945218617176315d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.08330726157746506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08311507484054843d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.15432306255983064d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(7606, 34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 7572);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(1, (-0.99999994f), 10.000001f, 1725707);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(0.43604367852130166d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7088458720490367d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest2 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy1);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy3 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator4 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking5 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy3, randomGenerator4);
    double[] d_array9 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array10 = naturalRanking5.rank(d_array9);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy11 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking13 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy11, randomGenerator12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array18 = naturalRanking13.rank(d_array17);
    double d19 = mannWhitneyUTest2.mannWhitneyU(d_array10, d_array17);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray20 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray21 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray20);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray22 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray21);
    double[] d_array23 = resizableDoubleArray21.getElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray24 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray25 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray24);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray26 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray24);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray28 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray29 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array30 = resizableDoubleArray29.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray31 = resizableDoubleArray29.copy();
    int i32 = resizableDoubleArray31.start();
    double[] d_array33 = new double[] {  };
    resizableDoubleArray31.addElements(d_array33);
    resizableDoubleArray28.addElements(d_array33);
    resizableDoubleArray24.addElements(d_array33);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = mannWhitneyUTest2.mannWhitneyUTest(d_array23, d_array33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    double d1 = org.apache.commons.math3.special.Erf.erf(2.6005646442383346d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9997647030830816d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.5430806348152437d, 1.2058472654203443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.33723336939489945d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(7.572177712845784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(24);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray1);
    int i3 = resizableDoubleArray2.getExpansionMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(32.162455093634314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.644583510283548E13d);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(0.3062999950709329d, 0.5156012209852924d, 4.641588833612779d, 125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5437407467673203d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.7879751556820058d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-74L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(20L, (-23L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-23L));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-0.5772156677920679d), 0.36667799323867933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    randomDataImpl1.reSeed(10L);
    randomDataImpl1.reSeedSecure((-1L));
    randomDataImpl1.reSeedSecure();
    int i14 = randomDataImpl1.nextPascal(108, 0.03986131680838016d);
    randomDataImpl1.reSeedSecure();
    org.apache.commons.math3.distribution.IntegerDistribution integerDistribution16 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i17 = randomDataImpl1.nextInversionDeviate(integerDistribution16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 2535);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.3178008064861262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 75.50442445059115d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(40320L, 53L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(70L, (-66L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4620L));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    resizableDoubleArray0.setNumElements(0);
    // The following exception was thrown during execution in test generation
    try {
      double d4 = resizableDoubleArray0.substituteMostRecentElement(0.008975529252439236d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() {}
// Defects4J: flaky method
//   @Test
//   public void test198() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     java.util.Collection collection6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array8 = randomDataImpl0.nextSample(collection6, 7572);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-1.3784202257666638d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.3537751624837203d);
// 
//   }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(19, 28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 47);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.9974947163822921d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7605399919685716d));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc(200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 0.9997647030830816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9997647030830816d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 125);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array6 = resizableDoubleArray5.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray7 = resizableDoubleArray5.copy();
    int i8 = resizableDoubleArray7.start();
    double[] d_array9 = new double[] {  };
    resizableDoubleArray7.addElements(d_array9);
    resizableDoubleArray4.addElements(d_array9);
    resizableDoubleArray0.addElements(d_array9);
    double d14 = resizableDoubleArray0.addElementRolling(0.6988498094591846d);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray0.discardMostRecentElements(4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo((-74L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(8, 10.000001f, 1.192093E-7f, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = resizableDoubleArray0.getElement(7606);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.5437407467673203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2646081206802236d));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = null;
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy1 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy1);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy3 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest4 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy1, tiesStrategy3);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy5 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking6 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy5);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy7 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest8 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy5, tiesStrategy7);
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking9 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy1, tiesStrategy7);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest10 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy7);
    double[] d_array11 = null;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest12 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest13 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray15 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array16 = resizableDoubleArray15.getInternalValues();
    double[] d_array19 = new double[] { 10.0d, 10.0d };
    double d20 = mannWhitneyUTest13.mannWhitneyU(d_array16, d_array19);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy21 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator22 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking23 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy21, randomGenerator22);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray24 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array25 = resizableDoubleArray24.getInternalValues();
    double[] d_array26 = naturalRanking23.rank(d_array25);
    double d27 = mannWhitneyUTest12.mannWhitneyUTest(d_array16, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      double d28 = mannWhitneyUTest10.mannWhitneyUTest(d_array11, d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);

  }

  @Test
  public void test211() {}
// Defects4J: flaky method
//   @Test
//   public void test211() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     double d5 = randomDataImpl1.nextExponential(100.0d);
//     double d8 = randomDataImpl1.nextF(4.641588833612779d, 1.423484575406847d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution9 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b10 = normalDistribution9.isSupportLowerBoundInclusive();
//     boolean b11 = normalDistribution9.isSupportConnected();
//     boolean b12 = normalDistribution9.isSupportUpperBoundInclusive();
//     double d13 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution9);
//     int i16 = randomDataImpl1.nextSecureInt(0, 10);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = randomDataImpl1.nextWeibull(0.0d, 0.16492804196738006d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 224.38740780195423d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.7690635997119549d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.7937633604685774d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 4);
// 
//   }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = randomDataImpl1.nextCauchy(0.0d, (-0.8366105123463112d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.5430806348152437d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4337808304830271d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    double d12 = randomDataImpl1.nextGaussian(Double.NEGATIVE_INFINITY, 1.4992264116135439E7d);
    double d14 = randomDataImpl1.nextT(0.016945357741398725d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-8.385438567223535E11d));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution((-0.5750061825784119d), 158.02878621655813d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistribution2.cumulativeProbability(0.9999983894441402d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    resizableDoubleArray2.contract();
    resizableDoubleArray2.setNumElements(100);
    resizableDoubleArray2.setNumElements(100);
    double d9 = resizableDoubleArray2.addElementRolling(4.641588833612779d);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.setElement((-4), 0.8879869290711977d);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test217() {}
// Defects4J: flaky method
//   @Test
//   public void test217() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     int i3 = randomDataImpl0.nextZipf(140, 0.008935369162973229d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = randomDataImpl0.nextBeta((-0.4935707725002313d), (-0.17401369047041912d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 69);
// 
//   }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getSupportLowerBound();
    double d5 = normalDistribution0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array7 = normalDistribution0.sample((-419046617));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(370L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 370L);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-47L), (-2025644137419103232L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2025644137419103232L));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)0.9582246908676034d, (java.lang.Number)31.773637887754774d, (java.lang.Number)359.1342053695754d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)outOfRangeException4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    double d1 = normalDistribution0.getNumericalMean();
    double d2 = normalDistribution0.getMean();
    double d4 = normalDistribution0.probability(0.9999983894441402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(2025644137419106942L, (-74L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    int i4 = resizableDoubleArray1.start();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray5, resizableDoubleArray6);
    boolean b9 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray6);
    resizableDoubleArray1.setExpansionFactor(2.5f);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray12);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)5.31935613962987E11d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(4.7421875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-8.385438567223535E11d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5707963267937042d));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-1L), 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 10L);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(136, 2.3841858E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() {}
// Defects4J: flaky method
//   @Test
//   public void test230() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     int i3 = randomDataImpl0.nextZipf(140, 0.008935369162973229d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution7 = new org.apache.commons.math3.distribution.NormalDistribution(0.3519296164825562d, 1.439493730485027d, 1.2184249125858766d);
//     double d8 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution7);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long11 = randomDataImpl0.nextLong(53L, (-18L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.7534655247398776d);
// 
//   }

  @Test
  public void test231() {}
// Defects4J: flaky method
//   @Test
//   public void test231() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     int i3 = randomDataImpl0.nextZipf(140, 0.008935369162973229d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution7 = new org.apache.commons.math3.distribution.NormalDistribution(0.3519296164825562d, 1.439493730485027d, 1.2184249125858766d);
//     double d8 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution7);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long11 = randomDataImpl0.nextLong(3710L, (-1370523523977774080L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.5155895122677931d);
// 
//   }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.9899177839110477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9899177839110478d);

  }

  @Test
  public void test233() {}
// Defects4J: flaky method
//   @Test
//   public void test233() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d15 = randomDataImpl1.nextT(0.1781263644950165d);
//     double d18 = randomDataImpl1.nextGamma(0.0d, 0.0d);
//     java.lang.String str20 = randomDataImpl1.nextSecureHexString(19);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long23 = randomDataImpl1.nextLong(2025644137419106942L, (-4620L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-78L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 163476.49769306323d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "1519b1e169ab3fd480a"+ "'", str20.equals("1519b1e169ab3fd480a"));
// 
//   }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.random.RandomGenerator randomGenerator1 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl2 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator1);
    randomDataImpl2.reSeed(1L);
    double d6 = randomDataImpl2.nextExponential(100.0d);
    double d9 = randomDataImpl2.nextF(4.641588833612779d, 1.423484575406847d);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { d9 };
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 224.38740780195423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.7690635997119549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(7.435186408494753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1694.5735724621911d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.7605399919685716d), 0.027705053070945423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7605399919685716d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.REMOVED;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking1 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.3519296164825562d, 0.30153291745098787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.30153291745098787d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(79, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.0036504344044419046d, 0.5126907602619235d, 0.0d, 419046617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.001992185527309509d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.7690635997119549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8471489788486656d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(20L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(19, 140);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 19);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    java.lang.String str5 = randomDataImpl1.nextHexString(100);
    randomDataImpl1.reSeed(0L);
    randomDataImpl1.reSeed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str10 = randomDataImpl1.nextSecureHexString(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));

  }

  @Test
  public void test245() {}
// Defects4J: flaky method
//   @Test
//   public void test245() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d15 = randomDataImpl1.nextT(0.1781263644950165d);
//     double d18 = randomDataImpl1.nextGamma(0.0d, 0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d21 = randomDataImpl1.nextBeta(0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-72L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 163476.49769306323d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.0d);
// 
//   }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    int i2 = resizableDoubleArray1.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray1);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray3.setExpansionFactor(1.4210855E-14f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.5365822643331124d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-30.743899107860464d));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest0 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy1 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy1);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest3 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array6 = resizableDoubleArray5.getInternalValues();
    double[] d_array9 = new double[] { 10.0d, 10.0d };
    double d10 = mannWhitneyUTest3.mannWhitneyU(d_array6, d_array9);
    double[] d_array11 = naturalRanking2.rank(d_array9);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray13 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray12);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray14 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray13);
    double[] d_array15 = resizableDoubleArray13.getElements();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = mannWhitneyUTest0.mannWhitneyUTest(d_array9, d_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test249() {}
// Defects4J: flaky method
//   @Test
//   public void test249() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d8 = randomDataImpl0.nextUniform(0.0d, (-1.5188417280056181d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 112);
// 
//   }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.5f);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(79, (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(12217, 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 488680);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma((-0.2811828080936437d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(9.927034342547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10238.26206906971d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-4.938319478081702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.3709999663067631d));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.6931471805599453d, 22763.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6931471805599453d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-2025644137419103232L), (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2025644137419103232L));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    int i4 = resizableDoubleArray1.start();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray5, resizableDoubleArray6);
    boolean b9 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray6);
    resizableDoubleArray6.clear();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray6.discardFrontElements((-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    double d12 = randomDataImpl1.nextBeta(100.0d, 10.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = randomDataImpl1.nextCauchy(1.5688205634207069d, (-1.254163185523515d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9521520958603427d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(419046617, 15625);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15625);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(2.652934818954328d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 152.00196844938614d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.6914624612740129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7635115099066025d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100L);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array5 = mathArithmeticException4.getSuppressed();
    java.lang.Throwable[] throwable_array6 = mathArithmeticException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable3, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    int i13 = randomDataImpl1.nextHypergeometric(40, 40, 3);
    double d16 = randomDataImpl1.nextCauchy(6.811533031322706d, 0.6625150722095854d);
    java.util.Collection collection17 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.lang.Object[] obj_array19 = randomDataImpl1.nextSample(collection17, 140);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 5.90807694780443d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    double d2 = normalDistribution0.probability(Double.NaN);
    double d3 = normalDistribution0.getNumericalVariance();
    boolean b4 = normalDistribution0.isSupportUpperBoundInclusive();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = normalDistribution0.cumulativeProbability(100.0d, 0.5210953054937474d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.6636391465277816d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7256731523530008d));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1.439493730485027d, (java.lang.Number)(-1.2676505E30f), number2);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.466125954238355E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-1L), (-46L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 45L);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    resizableDoubleArray2.contract();
    resizableDoubleArray2.setNumElements(100);
    double[] d_array6 = null;
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.addElements(d_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(56L, 56L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.031164246172632026d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.031174341067507595d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.7605399919685716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.013273926952942805d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.9999983894441402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999991947217459d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(2.7581226324091723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7581226324091728d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.49437775751805646d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.7605399919685716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6893127502741047d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array10 = resizableDoubleArray9.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = resizableDoubleArray9.copy();
    resizableDoubleArray11.contract();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray11);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray11.setContractionCriteria(0.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray11);

  }

  @Test
  public void test283() {}
// Defects4J: flaky method
//   @Test
//   public void test283() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d15 = randomDataImpl1.nextT(0.1781263644950165d);
//     double d18 = randomDataImpl1.nextGamma(0.0d, 0.0d);
//     java.lang.String str20 = randomDataImpl1.nextSecureHexString(19);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d24 = randomDataImpl1.nextUniform(0.9999999999999802d, 0.3062999950709329d, false);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-83L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 163476.49769306323d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str20 + "' != '" + "355116f5f7f2d49f551"+ "'", str20.equals("355116f5f7f2d49f551"));
// 
//   }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(11.883686587327814d, 0.691462461274013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.883686587327814d);

  }

  @Test
  public void test285() {}
// Defects4J: flaky method
//   @Test
//   public void test285() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextSecureInt(3, 40);
//     double d9 = randomDataImpl1.nextBeta(1.2544688057161206d, 2.718281828459045d);
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution10 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i11 = randomDataImpl1.nextInversionDeviate(integerDistribution10);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.050221085656775764d);
// 
//   }

  @Test
  public void test286() {}
// Defects4J: flaky method
//   @Test
//   public void test286() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d16 = randomDataImpl1.nextUniform(0.04571598153553814d, 0.5110541309519602d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long19 = randomDataImpl1.nextLong(0L, (-74L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-9L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 0.49002843773290566d);
// 
//   }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.04571598153553814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5250644062378635d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    resizableDoubleArray2.contract();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = resizableDoubleArray2.getElement(7606);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 110.3206397147574d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.008975529252439236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12414.712540474577d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-1.254163185523515d), 1.7905761457266476d, 2.1684043449710089E-19d, 105);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test292() {}
// Defects4J: flaky method
//   @Test
//   public void test292() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextLong(20L, 100L);
//     int i14 = randomDataImpl1.nextSecureInt(130, 15625);
//     long long17 = randomDataImpl1.nextSecureLong((-2025644137419103232L), 1L);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d20 = randomDataImpl1.nextWeibull((-1463.9761778208451d), 3.141592653589793d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 53L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i14 == 11912);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long17 == (-936630377059882112L));
// 
//   }

  @Test
  public void test293() {}
// Defects4J: flaky method
//   @Test
//   public void test293() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d4 = randomDataImpl1.nextCauchy(2.7581226324091723d, 10.0d);
//     double d7 = randomDataImpl1.nextBeta(0.5210953054937474d, 161.9816220746272d);
//     double d9 = randomDataImpl1.nextT(0.8717983538378159d);
//     double d12 = randomDataImpl1.nextGamma(0.30153291745098787d, 2.8421709430404007E-14d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i15 = randomDataImpl1.nextSecureInt(140, 34);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 2.7776907989415967d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 3.3561407527821006E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == (-8.755873356971986d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 8.780468356289565E-17d);
// 
//   }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.11763814684152732d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.3178008064861262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9681669721434816d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(5729.5779513082325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5706217938714693d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.5772156677920679d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6153148659054544d));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray0.setContractionCriteria((-10.000001f));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    resizableDoubleArray0.setNumElements(24);
    int i4 = resizableDoubleArray0.start();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray0.setExpansionMode((-5599213));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1718.074052462471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5702142797721619d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.8943794513765113d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP((-0.8732972972140084d), (-19.13458234428518d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(28, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, (-7L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
    double d12 = randomDataImpl1.nextF(9.596471481410536E-5d, 0.43604367852130166d);
    int i15 = randomDataImpl1.nextInt(14, 136);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.7959509256065679E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 38);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(126);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() {}
// Defects4J: flaky method
//   @Test
//   public void test309() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     randomDataImpl0.reSeedSecure((-18L));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = randomDataImpl0.nextUniform(224.38740780195423d, 0.7088458720490367d, true);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 120);
// 
//   }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.4121807603866721d, 152.00196844938614d, 1.5430806348152437d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d8 = randomDataImpl1.nextT(199.99999999999997d);
    // The following exception was thrown during execution in test generation
    try {
      long long11 = randomDataImpl1.nextSecureLong((-2L), (-2L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.42679320452120423d));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.27897145269789947d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5281774821950472d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(108, 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 216);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(6.204484017332436E23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.780563582129805d));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(1.7905761457266476d, 1.439493730485027d, 0.6988498094591846d, 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5852304918257587d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    java.lang.String str5 = randomDataImpl1.nextHexString(100);
    randomDataImpl1.reSeed(0L);
    randomDataImpl1.reSeed();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = randomDataImpl1.nextCauchy((-1.3709999663067631d), (-0.9974947163822921d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.0d, 1.466125954238355E-9d, 4.64158883361278d, 114);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4E-45f, 1725707);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.4E-45f);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.4E-45f+ "'", number2.equals(1.4E-45f));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.0f), 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.6625150722095854d, (-21.287245228703103d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 21.297552339361626d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.1780538303479458d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.660818365085706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9786337315244484d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    double d1 = org.apache.commons.math3.special.Erf.erf(0.8404872281329935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.765414087471452d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(3, 0.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-47L), (-26L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-47L));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.11818382194647535d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1179104164999871d));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.00001f, 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0f);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9728892204344535d, 419046617);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(419046617, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(40, (-419046617));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.9999999999999802d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(short)1, (java.lang.Number)(short)100, false);
    java.lang.String str4 = numberIsTooLargeException3.toString();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooLargeException: 1 is larger than, or equal to, the maximum (100)"+ "'", str4.equals("org.apache.commons.math3.exception.NumberIsTooLargeException: 1 is larger than, or equal to, the maximum (100)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-2L), (-74L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-76L));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.008975408741297696d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.09473863383698171d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(10.000001f, 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    double d12 = randomDataImpl1.nextBeta(100.0d, 10.0d);
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution13 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b14 = normalDistribution13.isSupportLowerBoundInclusive();
    boolean b15 = normalDistribution13.isSupportConnected();
    boolean b16 = normalDistribution13.isSupportUpperBoundInclusive();
    double d17 = normalDistribution13.getNumericalMean();
    double d18 = normalDistribution13.getStandardDeviation();
    double[] d_array20 = normalDistribution13.sample(1);
    double d21 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution13);
    double d22 = normalDistribution13.getSupportUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9521520958603427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-0.8366105123463112d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array1 = mathArithmeticException0.getSuppressed();
    java.lang.String str2 = mathArithmeticException0.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathArithmeticException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"+ "'", str2.equals("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.9745130275933622d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7506808084147552d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array6 = resizableDoubleArray5.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray7 = resizableDoubleArray5.copy();
    int i8 = resizableDoubleArray7.start();
    double[] d_array9 = new double[] {  };
    resizableDoubleArray7.addElements(d_array9);
    resizableDoubleArray4.addElements(d_array9);
    resizableDoubleArray0.addElements(d_array9);
    int i13 = resizableDoubleArray0.getNumElements();
    // The following exception was thrown during execution in test generation
    try {
      double d15 = resizableDoubleArray0.substituteMostRecentElement(0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma((-0.8732972972140084d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-7.133537670801531d));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(5.551115123125783E-17d, 130);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.555786372591432E22d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d3 = resizableDoubleArray1.addElementRolling(1.0d);
    resizableDoubleArray1.setElement(100, 4.641588833612779d);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.setExpansionFactor(0.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.027793911345040122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027790334115367004d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-4.938319478081702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(1L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.8414701146197604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.128139588044721d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-5.4604557801341325E-6d), 1.1750604643046938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.646957280896933E-6d));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking1 = new org.apache.commons.math3.stat.ranking.NaturalRanking(randomGenerator0);
    double[] d_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array3 = naturalRanking1.rank(d_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(0, 19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-19));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.9997647030830816d, 0.5493061443340549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.09884758558502815d));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray((-5599213), 1.9999999f, 1.0000001f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0, (-5599213));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5599213);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.8732972972140083d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.4711276743037347d, 2.7581226324091728d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7581226324091728d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.03986131680838016d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.34159949013903024d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(6.204484017332436E23d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 54.784729398112326d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-2025644137419103232L), (-419046617));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.9582246908676034d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.001487321812521568d, 5599213);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-8.385438567223535E11d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.2813441604640833d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array4 = randomDataImpl1.nextPermutation(3, 7606);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    double d1 = normalDistribution0.getNumericalMean();
    double d2 = normalDistribution0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistribution0.cumulativeProbability(1.4992264116135439E7d, Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.40962626434553495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.38761220512145883d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.08330726157746506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest0 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest1 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array4 = resizableDoubleArray3.getInternalValues();
    double[] d_array7 = new double[] { 10.0d, 10.0d };
    double d8 = mannWhitneyUTest1.mannWhitneyU(d_array4, d_array7);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy9 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking11 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy9, randomGenerator10);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array13 = resizableDoubleArray12.getInternalValues();
    double[] d_array14 = naturalRanking11.rank(d_array13);
    double d15 = mannWhitneyUTest0.mannWhitneyUTest(d_array4, d_array13);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy16 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy17 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest18 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy16, tiesStrategy17);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator20 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking21 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19, randomGenerator20);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array26 = naturalRanking21.rank(d_array25);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy27 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator28 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking29 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy27, randomGenerator28);
    double[] d_array33 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array34 = naturalRanking29.rank(d_array33);
    double d35 = mannWhitneyUTest18.mannWhitneyU(d_array26, d_array33);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy36 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator37 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking38 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy36, randomGenerator37);
    double[] d_array42 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array43 = naturalRanking38.rank(d_array42);
    double d44 = mannWhitneyUTest0.mannWhitneyU(d_array33, d_array42);
    double[] d_array45 = null;
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy46 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator47 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking48 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy46, randomGenerator47);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray49 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array50 = resizableDoubleArray49.getInternalValues();
    double[] d_array51 = naturalRanking48.rank(d_array50);
    // The following exception was thrown during execution in test generation
    try {
      double d52 = mannWhitneyUTest0.mannWhitneyU(d_array45, d_array50);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 4.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.random.RandomGenerator randomGenerator1 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0, randomGenerator1);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array4 = resizableDoubleArray3.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray3.copy();
    int i6 = resizableDoubleArray5.start();
    double[] d_array7 = new double[] {  };
    resizableDoubleArray5.addElements(d_array7);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = naturalRanking2.rank(d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.09884758558502815d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9951185540089629d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking1 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy2 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest3 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy2);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy4 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking5 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy4);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy6 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest7 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy4, tiesStrategy6);
    double[] d_array10 = new double[] { 100.0d, 1.0d };
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy11 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking13 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy11, randomGenerator12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array18 = naturalRanking13.rank(d_array17);
    double d19 = mannWhitneyUTest7.mannWhitneyUTest(d_array10, d_array17);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray21 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array22 = resizableDoubleArray21.getInternalValues();
    double d23 = mannWhitneyUTest3.mannWhitneyUTest(d_array17, d_array22);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray24 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray25 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray24);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray26 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray25);
    double[] d_array27 = resizableDoubleArray25.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray29 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray30 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array31 = resizableDoubleArray30.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray32 = resizableDoubleArray30.copy();
    int i33 = resizableDoubleArray32.start();
    double[] d_array34 = new double[] {  };
    resizableDoubleArray32.addElements(d_array34);
    resizableDoubleArray29.addElements(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = mannWhitneyUTest3.mannWhitneyU(d_array27, d_array34);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.5637028616507731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003263716901670266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc((-0.2791057285580526d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3069468473185186d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.5772156649015329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.781072417990198d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.18979606760219284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(3.399216241149525E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.3246418194520043E174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02515783797675243d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.027705053070945423d, 161.9816220746272d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7103824770947997E-4d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array10 = resizableDoubleArray9.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = resizableDoubleArray9.copy();
    resizableDoubleArray11.contract();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray11);
    float f14 = resizableDoubleArray6.getContractionCriteria();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = resizableDoubleArray6.getElement((-19));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 2.5f);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest2 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy1);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy3 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator4 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking5 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy3, randomGenerator4);
    double[] d_array9 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array10 = naturalRanking5.rank(d_array9);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy11 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking13 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy11, randomGenerator12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array18 = naturalRanking13.rank(d_array17);
    double d19 = mannWhitneyUTest2.mannWhitneyU(d_array10, d_array17);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray20 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array21 = resizableDoubleArray20.getInternalValues();
    double d23 = resizableDoubleArray20.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray24 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array25 = resizableDoubleArray24.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray26 = resizableDoubleArray24.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray20, resizableDoubleArray26);
    double[] d_array28 = resizableDoubleArray26.getElements();
    double[] d_array30 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d31 = mannWhitneyUTest2.mannWhitneyUTest(d_array28, d_array30);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)2.0f, (java.lang.Number)572.9577951308232d, (java.lang.Number)0.3062999950709329d);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException7 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0f, (java.lang.Number)(byte)10, true);
    boolean b8 = numberIsTooLargeException7.getBoundIsAllowed();
    boolean b9 = numberIsTooLargeException7.getBoundIsAllowed();
    boolean b10 = numberIsTooLargeException7.getBoundIsAllowed();
    outOfRangeException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException7);
    java.lang.Number number12 = numberIsTooLargeException7.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (byte)10+ "'", number12.equals((byte)10));

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.06416719189657474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9979419920291777d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(33.98305623178448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8682949217668944E14d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-12183));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() {}
// Defects4J: flaky method
//   @Test
//   public void test393() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     int i3 = randomDataImpl0.nextZipf(140, 0.008935369162973229d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution7 = new org.apache.commons.math3.distribution.NormalDistribution(0.3519296164825562d, 1.439493730485027d, 1.2184249125858766d);
//     double d8 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution7);
//     double d10 = randomDataImpl0.nextExponential(0.9062148310548903d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i13 = randomDataImpl0.nextBinomial(7572, (-0.7256731523530008d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 96);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 1.795072061941661d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 0.9354918289602763d);
// 
//   }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() {}
// Defects4J: flaky method
//   @Test
//   public void test395() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextSecureInt(3, 40);
//     java.lang.String str8 = randomDataImpl1.nextHexString(114);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str8 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abfbd0286949fe20f"+ "'", str8.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abfbd0286949fe20f"));
// 
//   }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    java.lang.Object obj2 = null;
    boolean b3 = resizableDoubleArray1.equals(obj2);
    double[] d_array4 = resizableDoubleArray1.getElements();
    float f5 = resizableDoubleArray1.getContractionCriteria();
    int i6 = resizableDoubleArray1.getNumElements();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.setExpansionMode(115);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(Double.POSITIVE_INFINITY, 0.003263716901670266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)5729.5779513082325d);
    java.lang.Throwable[] throwable_array6 = notPositiveException5.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])throwable_array6);
    boolean b9 = resizableDoubleArray1.equals((java.lang.Object)localizable2);
    int i10 = resizableDoubleArray1.getExpansionMode();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.discardMostRecentElements((-12183));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test400() {}
// Defects4J: flaky method
//   @Test
//   public void test400() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextGamma(5.90807694780443d, 0.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long17 = randomDataImpl1.nextLong((-20L), (-9059792967709091551L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9727515126185929d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 0.0d);
// 
//   }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-0.8732972972140083d));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-4620L), (-46L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2L);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(5730.0d, 0.7690635997119549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.1750604643046938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999087965829937d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.3926862328597981d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 1.5702142797721619d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5702142797721619d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(115, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 246905.0d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.9730222483781754d, 22762.72385750362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.2746301096332675E-5d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-0.751378522428438d), 110.3206397147574d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(136, 19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger3 = null;
    java.math.BigInteger bigInteger5 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger3, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, bigInteger3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-169.06365548738233d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.192093E-7f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.192093E-7f);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(10L, 40320L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 403200L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-10.000001f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.027793911345040122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0277974910626521d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(short)10, (java.lang.Number)(-0.99999994f), false);
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException4.getSuppressed();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-0.99999994f)+ "'", number6.equals((-0.99999994f)));

  }

  @Test
  public void test420() {}
// Defects4J: flaky method
//   @Test
//   public void test420() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d6 = randomDataImpl0.nextUniform(0.20379655248296333d, 3628800.0000000023d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = randomDataImpl0.nextUniform(0.16620956707559775d, (-0.13382716511843776d), false);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-0.23207798868156354d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1128113.9946584771d);
// 
//   }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.9997647030830816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.353246035810689E-4d));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, (-5L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.7930753941060231d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7125145114654184d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray((-12183));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1725708);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1725708);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(99.99273376941443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5126180262222897d));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4210856E-14f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8421713E-14f);

  }

  @Test
  public void test428() {}
// Defects4J: flaky method
//   @Test
//   public void test428() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     randomDataImpl1.reSeedSecure(7L);
//     java.lang.String str12 = randomDataImpl1.nextHexString(10);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = randomDataImpl1.nextChiSquare(0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str12 + "' != '" + "d7d14c837c"+ "'", str12.equals("d7d14c837c"));
// 
//   }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 79);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-169.06365548738233d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5648814639272837d));

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.7905761457266478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9759454757061417d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-419046617), 140);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test434() {}
// Defects4J: flaky method
//   @Test
//   public void test434() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d16 = randomDataImpl1.nextUniform(0.04571598153553814d, 0.5110541309519602d);
//     int i19 = randomDataImpl1.nextZipf(10, 0.0014884289733437667d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d22 = randomDataImpl1.nextWeibull(3628800.0000000023d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-86L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 0.49002843773290566d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 5);
// 
//   }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(4, 79);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
    randomDataImpl0.reSeed(10L);
    randomDataImpl0.reSeedSecure();
    java.lang.String str5 = randomDataImpl0.nextHexString(140);
    // The following exception was thrown during execution in test generation
    try {
      int i8 = randomDataImpl0.nextPascal((-419046617), 0.9730222483781754d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1d0525e8aae8febb0157ee74f3754b9a34adbdfa4a6879af047755869150a7cd6a102c521ef005c568febacfc31fc87faf2bae32e83a8068270d2635792ca42a507abf0e096b"+ "'", str5.equals("1d0525e8aae8febb0157ee74f3754b9a34adbdfa4a6879af047755869150a7cd6a102c521ef005c568febacfc31fc87faf2bae32e83a8068270d2635792ca42a507abf0e096b"));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    resizableDoubleArray6.addElement(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray6.discardFrontElements(2535);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(105, 1.1920929E-7f, 1.192093E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(136, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 125);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(4.7421875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-33.54878065955432d));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.5281774821950472d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.262340563622388d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.02769796672443271d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.02769796672443271d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.08330726157746506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08330726157746506d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 0.7144614692205902d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.0749511894805865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7913193084233281d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
    randomDataImpl1.reSeed(10L);
    java.lang.String str13 = randomDataImpl1.nextHexString(100);
    randomDataImpl1.reSeedSecure();
    // The following exception was thrown during execution in test generation
    try {
      double d18 = randomDataImpl1.nextUniform(3.0477665652779375E13d, 0.0d, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "1d0525e8aae8febb0157ee74f3754b9a34adbdfa4a6879af047755869150a7cd6a102c521ef005c568febacfc31fc87faf2b"+ "'", str13.equals("1d0525e8aae8febb0157ee74f3754b9a34adbdfa4a6879af047755869150a7cd6a102c521ef005c568febacfc31fc87faf2b"));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.1339949789020518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.757995799972413d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.5110541309519602d, 5.171390464990452E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.207530109035306E-4d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.8414701146197604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9173168016665564d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.8404872281329935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07546888162190218d));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array10 = resizableDoubleArray9.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = resizableDoubleArray9.copy();
    resizableDoubleArray11.contract();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray11);
    float f14 = resizableDoubleArray11.getContractionCriteria();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 2.5f);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-0.42679320452120423d), (-0.2211241788582477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(488680);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5912773.12448613d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-1L), 45L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1L));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.1349332376314134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4221929540165475d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-7L), 70L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-77L));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.757995799972413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5641744101659408d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(140);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() {}
// Defects4J: flaky method
//   @Test
//   public void test460() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     double d8 = randomDataImpl0.nextUniform(0.40962626434553495d, 0.9062148310548903d);
//     double d10 = randomDataImpl0.nextChiSquare(0.0036504344044419046d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = randomDataImpl0.nextChiSquare((-1.2089632430078703d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-0.2675660653206208d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.47089067461773604d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.7305260006892916d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.2064431877369513E-9d);
// 
//   }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.027705053070945423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.028092407000022617d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(7606, 1.9999999f, 100.0f, 16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-23L), (-48L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(152.00196844938614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test465() {}
// Defects4J: flaky method
//   @Test
//   public void test465() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d2 = randomDataImpl0.nextExponential(2.3978952727983707d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long5 = randomDataImpl0.nextSecureLong(0L, 0L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d2 == 0.7012099854622845d);
// 
//   }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 10L);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(25, (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(1.4711276743037347d, 0.6914624612740129d, 0.7332891004895102d, 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.285903932852848d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-202.37331970420357d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(2, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.660818365085706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1718.074052462471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 98438.39209703756d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking1 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy2 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest3 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy2);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy4 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking5 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy4);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy6 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest7 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy4, tiesStrategy6);
    double[] d_array10 = new double[] { 100.0d, 1.0d };
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy11 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking13 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy11, randomGenerator12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array18 = naturalRanking13.rank(d_array17);
    double d19 = mannWhitneyUTest7.mannWhitneyUTest(d_array10, d_array17);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy20 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator21 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking22 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy20, randomGenerator21);
    double[] d_array26 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array27 = naturalRanking22.rank(d_array26);
    double d28 = mannWhitneyUTest3.mannWhitneyUTest(d_array17, d_array26);
    double[] d_array29 = null;
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy30 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking31 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy30);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy32 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest33 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy30, tiesStrategy32);
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking34 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy30);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy35 = naturalRanking34.getNanStrategy();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray37 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d39 = resizableDoubleArray37.addElementRolling(1.0d);
    double[] d_array40 = resizableDoubleArray37.getInternalValues();
    double[] d_array41 = naturalRanking34.rank(d_array40);
    // The following exception was thrown during execution in test generation
    try {
      double d42 = mannWhitneyUTest3.mannWhitneyU(d_array29, d_array41);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.5637028616507731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.5126907602619235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    resizableDoubleArray0.clear();
    double d6 = resizableDoubleArray0.addElementRolling(3.5077495086148094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.2954315365960556d, (java.lang.Number)0.4547646913461962d, false);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.2646081206802236d), 397.28447803570276d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 397.28447803570276d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(216);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 948.6670995990198d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-30.743899107860464d), 2.7581226324091723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.4813230083737572d));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(39.339884187199495d, 0.9582246908676034d, 1.468657556589665d, (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-1.9022064519451782d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3253767438824944d));

  }

  @Test
  public void test481() {}
// Defects4J: flaky method
//   @Test
//   public void test481() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     randomDataImpl0.reSeedSecure((-18L));
//     double d9 = randomDataImpl0.nextT(2.4887895025426774d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 120);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == (-0.2560807978436713d));
// 
//   }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)5729.5779513082325d, (java.lang.Number)(byte)10, (java.lang.Number)158.02878621655813d);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException7 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0f, (java.lang.Number)(byte)10, true);
    boolean b8 = numberIsTooLargeException7.getBoundIsAllowed();
    boolean b9 = numberIsTooLargeException7.getBoundIsAllowed();
    outOfRangeException3.addSuppressed((java.lang.Throwable)numberIsTooLargeException7);
    java.lang.Number number11 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (byte)10+ "'", number11.equals((byte)10));

  }

  @Test
  public void test483() {}
// Defects4J: flaky method
//   @Test
//   public void test483() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d4 = randomDataImpl1.nextCauchy(2.7581226324091723d, 10.0d);
//     double d7 = randomDataImpl1.nextBeta(0.5210953054937474d, 161.9816220746272d);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl1.setSecureAlgorithm("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception", "org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 10.32939915567302d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.75161149126816E-4d);
// 
//   }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.6171985059230083d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8155030272869237d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    double[] d_array7 = normalDistribution0.sample(1);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistribution0.cumulativeProbability(32.162455093634314d, 0.991755210486549d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array2 = new java.lang.Object[] { 572.9577951308232d };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException3 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)mathIllegalStateException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(125);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(2.8421713E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test490() {}
// Defects4J: flaky method
//   @Test
//   public void test490() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution12 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i13 = randomDataImpl1.nextInversionDeviate(integerDistribution12);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.97405942094728d);
// 
//   }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-1.3709999663067631d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1210097292830414d));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    resizableDoubleArray6.setElement(0, 15.104412573075516d);
    resizableDoubleArray6.clear();
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest13 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray15 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array16 = resizableDoubleArray15.getInternalValues();
    double[] d_array19 = new double[] { 10.0d, 10.0d };
    double d20 = mannWhitneyUTest13.mannWhitneyU(d_array16, d_array19);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray21 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array16);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray21);
    double d24 = resizableDoubleArray6.addElementRolling(1.8333394794905649d);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = resizableDoubleArray6.substituteMostRecentElement(2.1719206996217424d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.3738380586390903d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3826067244815569d));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 359.1342053695754d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.6433375470525552d, 0.09325591898917705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6433375470525552d);

  }

  @Test
  public void test496() {}
// Defects4J: flaky method
//   @Test
//   public void test496() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     long long7 = randomDataImpl0.nextPoisson(1.0E-9d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = randomDataImpl0.nextPascal(10, 5.31935613962987E11d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-0.47035847793163826d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.5710960436552749d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
// 
//   }

  @Test
  public void test497() {}
// Defects4J: flaky method
//   @Test
//   public void test497() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }
// 
// 
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest0 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest1 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
//     double[] d_array4 = resizableDoubleArray3.getInternalValues();
//     double[] d_array7 = new double[] { 10.0d, 10.0d };
//     double d8 = mannWhitneyUTest1.mannWhitneyU(d_array4, d_array7);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy9 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking11 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy9, randomGenerator10);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array13 = resizableDoubleArray12.getInternalValues();
//     double[] d_array14 = naturalRanking11.rank(d_array13);
//     double d15 = mannWhitneyUTest0.mannWhitneyUTest(d_array4, d_array13);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy16 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy17 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest18 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy16, tiesStrategy17);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking20 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy21 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest22 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy19, tiesStrategy21);
//     double[] d_array25 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy26 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator27 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking28 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy26, randomGenerator27);
//     double[] d_array32 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array33 = naturalRanking28.rank(d_array32);
//     double d34 = mannWhitneyUTest22.mannWhitneyUTest(d_array25, d_array32);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy35 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator36 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking37 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy35, randomGenerator36);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray38 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array39 = resizableDoubleArray38.getInternalValues();
//     double[] d_array40 = naturalRanking37.rank(d_array39);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy41 = naturalRanking37.getNanStrategy();
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy42 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator43 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking44 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy42, randomGenerator43);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray45 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array46 = resizableDoubleArray45.getInternalValues();
//     double[] d_array47 = naturalRanking44.rank(d_array46);
//     double[] d_array48 = naturalRanking37.rank(d_array47);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy49 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator50 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking51 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy49, randomGenerator50);
//     double[] d_array55 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array56 = naturalRanking51.rank(d_array55);
//     double d57 = mannWhitneyUTest22.mannWhitneyUTest(d_array47, d_array56);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy58 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking59 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy58);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy60 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest61 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy58, tiesStrategy60);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy62 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking63 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy62);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy64 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest65 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy62, tiesStrategy64);
//     double[] d_array68 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy69 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator70 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking71 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy69, randomGenerator70);
//     double[] d_array75 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array76 = naturalRanking71.rank(d_array75);
//     double d77 = mannWhitneyUTest65.mannWhitneyUTest(d_array68, d_array75);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy78 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator79 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking80 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy78, randomGenerator79);
//     double[] d_array84 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array85 = naturalRanking80.rank(d_array84);
//     double d86 = mannWhitneyUTest61.mannWhitneyUTest(d_array75, d_array84);
//     double d87 = mannWhitneyUTest18.mannWhitneyUTest(d_array56, d_array75);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray88 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array89 = resizableDoubleArray88.getInternalValues();
//     double d91 = resizableDoubleArray88.addElementRolling(10.0d);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray92 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array93 = resizableDoubleArray92.getInternalValues();
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray94 = resizableDoubleArray92.copy();
//     org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray88, resizableDoubleArray94);
//     double[] d_array96 = resizableDoubleArray94.getElements();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d97 = mannWhitneyUTest0.mannWhitneyUTest(d_array75, d_array96);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
//     } catch (org.apache.commons.math3.exception.NoDataException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 200.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d34 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d57 == 0.0025386867381503864d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d77 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d86 == 0.5126907602619235d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d87 == 0.5126907602619235d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d91 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array93);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(resizableDoubleArray94);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array96);
// 
//   }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.479425538604203d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    double d5 = randomDataImpl1.nextExponential(100.0d);
    double d8 = randomDataImpl1.nextF(4.641588833612779d, 1.423484575406847d);
    org.apache.commons.math3.distribution.IntegerDistribution integerDistribution9 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i10 = randomDataImpl1.nextInversionDeviate(integerDistribution9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 224.38740780195423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.7690635997119549d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(1.1339949789020518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.090737222262947d);

  }

}
