
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest3 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test001"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP(1.520074604133084d, 1.0749511894805865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.45062438883513134d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test002"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
    double d12 = randomDataImpl1.nextF(9.596471481410536E-5d, 0.43604367852130166d);
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution13 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b14 = normalDistribution13.isSupportLowerBoundInclusive();
    boolean b15 = normalDistribution13.isSupportConnected();
    double d16 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution13);
    double d20 = randomDataImpl1.nextUniform((-19.13458234428518d), 1.660818365085706d, true);
    randomDataImpl1.reSeedSecure();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.7959509256065679E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-0.8366105123463112d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == (-12.899620518841386d));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test003"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-32), (-419046617));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test004"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(125);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 481.8729792298881d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test005"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, (java.lang.Number)10.0d, (java.lang.Number)(byte)10, (java.lang.Number)(-1L));
    java.lang.Number number5 = outOfRangeException4.getLo();
    java.lang.Number number6 = outOfRangeException4.getLo();
    java.lang.Number number7 = outOfRangeException4.getHi();
    java.lang.Number number8 = outOfRangeException4.getLo();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = outOfRangeException4.getContext();
    java.lang.Number number10 = outOfRangeException4.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)10+ "'", number5.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)10+ "'", number6.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1L)+ "'", number7.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)10+ "'", number8.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (byte)10+ "'", number10.equals((byte)10));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test006"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-0.4683119023620793d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test007"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    double d1 = normalDistribution0.getNumericalMean();
    double d2 = normalDistribution0.getMean();
    boolean b3 = normalDistribution0.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test008"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    int i13 = randomDataImpl1.nextHypergeometric(40, 40, 3);
    double d16 = randomDataImpl1.nextCauchy(6.811533031322706d, 0.6625150722095854d);
    java.lang.String str18 = randomDataImpl1.nextHexString(33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 5.90807694780443d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "c6c541cc999927b668f44b7443661de58"+ "'", str18.equals("c6c541cc999927b668f44b7443661de58"));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test009"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(137L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 136L);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test010"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0f, (java.lang.Number)(byte)10, true);
    java.lang.Throwable[] throwable_array7 = numberIsTooLargeException6.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math3.exception.NullArgumentException(localizable2, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test011"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign((-1.4E-45f), 1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test012"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d6 = resizableDoubleArray4.addElementRolling(1.0d);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray2, resizableDoubleArray4);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray2);
    float f9 = resizableDoubleArray0.getContractionCriteria();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = resizableDoubleArray0.substituteMostRecentElement(0.5316380352360834d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 2.5f);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.3462633414425773d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3607996905582458d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test014"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    int i3 = resizableDoubleArray2.start();
    double[] d_array4 = new double[] {  };
    resizableDoubleArray2.addElements(d_array4);
    resizableDoubleArray2.setNumElements(40);
    resizableDoubleArray2.setElement(114, (-0.11763814684152732d));
    double[] d_array11 = resizableDoubleArray2.getInternalValues();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.setContractionCriteria(4.0389678E-28f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test015"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test016"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-1923.1884105996642d), (-0.8732972972140083d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1923.188410599664d));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test017"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.2646081206802236d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.258600588328522d));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test018"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test019"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test020"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.0016626318406288887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.399353485944634d));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test021"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo((-53L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test022() {}
// Defects4J: flaky method
//   @Test
//   public void test022() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test022"); }
// 
// 
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest2 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy1);
//     double[] d_array3 = null;
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy4 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy5 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest6 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy4, tiesStrategy5);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy7 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking8 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy7);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy9 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest10 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy7, tiesStrategy9);
//     double[] d_array13 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy14 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator15 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking16 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy14, randomGenerator15);
//     double[] d_array20 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array21 = naturalRanking16.rank(d_array20);
//     double d22 = mannWhitneyUTest10.mannWhitneyUTest(d_array13, d_array20);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy23 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator24 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking25 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy23, randomGenerator24);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray26 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array27 = resizableDoubleArray26.getInternalValues();
//     double[] d_array28 = naturalRanking25.rank(d_array27);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy29 = naturalRanking25.getNanStrategy();
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy30 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator31 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking32 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy30, randomGenerator31);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray33 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array34 = resizableDoubleArray33.getInternalValues();
//     double[] d_array35 = naturalRanking32.rank(d_array34);
//     double[] d_array36 = naturalRanking25.rank(d_array35);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy37 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator38 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking39 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy37, randomGenerator38);
//     double[] d_array43 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array44 = naturalRanking39.rank(d_array43);
//     double d45 = mannWhitneyUTest10.mannWhitneyUTest(d_array35, d_array44);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy46 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking47 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy46);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy48 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest49 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy46, tiesStrategy48);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy50 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking51 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy50);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy52 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest53 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy50, tiesStrategy52);
//     double[] d_array56 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy57 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator58 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking59 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy57, randomGenerator58);
//     double[] d_array63 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array64 = naturalRanking59.rank(d_array63);
//     double d65 = mannWhitneyUTest53.mannWhitneyUTest(d_array56, d_array63);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy66 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator67 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking68 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy66, randomGenerator67);
//     double[] d_array72 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array73 = naturalRanking68.rank(d_array72);
//     double d74 = mannWhitneyUTest49.mannWhitneyUTest(d_array63, d_array72);
//     double d75 = mannWhitneyUTest6.mannWhitneyUTest(d_array44, d_array63);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d76 = mannWhitneyUTest2.mannWhitneyUTest(d_array3, d_array44);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
//     } catch (org.apache.commons.math3.exception.NullArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy4);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array20);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d22 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array34);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array36);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d45 == 3.4661935113466935E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d65 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d74 == 0.5126907602619235d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d75 == 0.5126907602619235d);
// 
//   }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test023"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(3.3554436E7f, 2.8421713E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8421713E-14f);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.10802676379690254d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test025"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-46L), (-10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 460L);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test026"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest2 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy1);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy3 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator4 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking5 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy3, randomGenerator4);
    double[] d_array9 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array10 = naturalRanking5.rank(d_array9);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy11 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator12 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking13 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy11, randomGenerator12);
    double[] d_array17 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array18 = naturalRanking13.rank(d_array17);
    double d19 = mannWhitneyUTest2.mannWhitneyU(d_array10, d_array17);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray21 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d23 = resizableDoubleArray21.addElementRolling(1.0d);
    resizableDoubleArray21.setElement(100, 4.641588833612779d);
    double[] d_array27 = resizableDoubleArray21.getElements();
    double[] d_array28 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d29 = mannWhitneyUTest2.mannWhitneyUTest(d_array27, d_array28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test027"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.1781263644950165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0159064923184784d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test028"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(8, (-22));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test029"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.4E-45f);
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)7.85999636362304d, (java.lang.Number)1.0503483622726932d, (java.lang.Number)0.8720873570426033d);
    maxCountExceededException1.addSuppressed((java.lang.Throwable)outOfRangeException5);
    java.lang.Number number7 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1.4E-45f+ "'", number7.equals(1.4E-45f));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test030"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(21.144931704801248d, 2.8682949217668944E14d);
    double d4 = normalDistribution2.density((-1.163276539760702d));
    double d5 = normalDistribution2.getNumericalVariance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.3908691096370274E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 8.227115758233754E28d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test031"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(1.0503483622726932d, 0.5126907602619235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6230680816953104d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test032"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 10.000001f);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test033"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(7606, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1113462784);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.5493061443340549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test035"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathArithmeticException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test036"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(0.1141480164359433d, 0.49437775751805646d, 0.005264180146062024d, 122);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9318554082841193d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test037"); }


    double d2 = org.apache.commons.math3.special.Erf.erf(0.9070934102004398d, 21.302013473089332d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19955381284131068d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test038"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9724604343146385d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9724604343146385d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test039"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(33, 2.842171E-14f, 4.0f, 1113462784);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test040"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0025386867381503864d, 1.4992264116135439E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0025386867381503864d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test041"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(0.0d, 1.81864561520198E-10d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test042"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.192093E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4210855E-14f);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test043"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    int i13 = randomDataImpl1.nextHypergeometric(40, 40, 3);
    int i16 = randomDataImpl1.nextZipf(3012, 5.31935613962987E11d);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = randomDataImpl1.nextChiSquare((-2.192107861770115d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test044"); }


    double d2 = org.apache.commons.math3.special.Erf.erf(0.9701471083556238d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8299350673387303d));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test045"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(8.881784197001252E-16d, (-0.9974947163822921d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.881784197001252E-16d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test046"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    double d3 = normalDistribution0.cumulativeProbability((-0.5063656411097588d));
    double d5 = normalDistribution0.cumulativeProbability(0.027712143770207958d);
    double[] d_array7 = normalDistribution0.sample(570);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.3062999950709329d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5110541309519602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test047"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test048"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    int i4 = resizableDoubleArray1.start();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray5, resizableDoubleArray6);
    boolean b9 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray6);
    resizableDoubleArray10.discardFrontElements(0);
    int i13 = resizableDoubleArray10.getNumElements();
    double[] d_array14 = resizableDoubleArray10.getElements();
    float f15 = resizableDoubleArray10.getContractionCriteria();
    resizableDoubleArray10.setNumElements(8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 2.5f);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test049"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.20521019982967997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test050"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(2535);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.discardFrontElements(36);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test051"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    // The following exception was thrown during execution in test generation
    try {
      double d3 = randomDataImpl1.nextExponential(0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test052() {}
// Defects4J: flaky method
//   @Test
//   public void test052() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test052"); }
// 
// 
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(21.144931704801248d, 2.8682949217668944E14d);
//     double d3 = normalDistribution2.sample();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-4.40158223113496E14d));
// 
//   }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test053"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(70L, (-5599213));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(5.6843418860808015E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000568d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test055"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(0.06416719189657474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-16.06063285676513d));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test056"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = normalDistribution0.inverseCumulativeProbability(5.31935613962987E11d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test057"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-1.5188417280056181d), (-32));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.5363289713990365E-10d));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test058"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(1429, 3012);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1918878385);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test059"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.3841858E-7f, 1812877.0175438717d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.384186E-7f);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test060"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter((-1.1210097292830414d), 0.8672725183573802d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.1210097292830412d));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test061"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-2.2169155532488376d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.6439598612642925d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test062"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, number1);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException4 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(byte)(-1));
    notStrictlyPositiveException2.addSuppressed((java.lang.Throwable)notStrictlyPositiveException4);
    java.lang.Throwable throwable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      notStrictlyPositiveException2.addSuppressed(throwable6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test063"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(12217, 1429);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 12217);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test064"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)1.423484575406847d, (java.lang.Number)0.970897480921484d, (java.lang.Number)0.3217696103745723d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = outOfRangeException5.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException12 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0f, (java.lang.Number)(byte)10, true);
    java.lang.Throwable[] throwable_array13 = numberIsTooLargeException12.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math3.exception.NullArgumentException(localizable8, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException5, localizable7, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])throwable_array13);
    org.apache.commons.math3.exception.MathInternalError mathInternalError17 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test065"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(130, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test066"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.6293945E-6f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test067"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 789959828267113984L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 789959828267113984L);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test068"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-5.568080880043585E8d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test069"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.520074604133084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9801667981600468d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 0.9687541819429071d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test071"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-4620L), 70L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4690L));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-4.646957280896933E-6d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.6469572808802085E-6d));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(20L, (-4620L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test074"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    double[] d_array7 = normalDistribution0.sample(1);
    normalDistribution0.reseedRandomGenerator(1L);
    double d11 = normalDistribution0.density((-0.5750061825784119d));
    double d12 = normalDistribution0.getNumericalMean();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = normalDistribution0.inverseCumulativeProbability(117.42694361859103d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.33815375576999834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test075"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    resizableDoubleArray6.setElement(0, 15.104412573075516d);
    resizableDoubleArray6.clear();
    resizableDoubleArray6.setElement(130, (-2.3532459923715967E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test076"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(39.339884187199495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test077() {}
// Defects4J: flaky method
//   @Test
//   public void test077() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test077"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     double d8 = randomDataImpl0.nextUniform(0.40962626434553495d, 0.9062148310548903d);
//     double d10 = randomDataImpl0.nextChiSquare(0.0036504344044419046d);
//     long long13 = randomDataImpl0.nextLong((-20L), 10L);
//     double d15 = randomDataImpl0.nextExponential(0.5852304918257587d);
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution16 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i17 = randomDataImpl0.nextInversionDeviate(integerDistribution16);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-1.0983105315103852d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.5828967947140289d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.680632251928592d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.3858069154796752E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.48961334716620625d);
// 
//   }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test078"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    double d2 = normalDistribution0.getNumericalVariance();
    double d4 = normalDistribution0.density(1812877.0175438717d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.8871125210350685d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0602568749940533d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test080"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ((-0.8732972972140083d), (-0.3738380586390903d), 0.0d, 570);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test081"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.6863763721140727d, 46.91578412903688d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 46.92080469223205d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test082"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(-0.488452239882472d));

  }

  @Test
  public void test083() {}
// Defects4J: flaky method
//   @Test
//   public void test083() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test083"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = randomDataImpl1.nextCauchy(0.49437775751805646d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-80L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
// 
//   }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.8661843670346133d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5232807615088765d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.17726059732237706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.561742655321304d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.018613733801885024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0187880492187735d);

  }

  @Test
  public void test087() {}
// Defects4J: flaky method
//   @Test
//   public void test087() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test087"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d15 = randomDataImpl1.nextT(0.1781263644950165d);
//     double d18 = randomDataImpl1.nextGamma(0.0d, 0.0d);
//     randomDataImpl1.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i23 = randomDataImpl1.nextHypergeometric(122, 33, (-32));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
//     } catch (org.apache.commons.math3.exception.NotPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 8L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 163476.49769306323d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.0d);
// 
//   }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-1.5707963267937042d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test090"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-32260073), 26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test091"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.9419033014953043d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test092"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.0f), 4.0389678E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.0389678E-28f);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test093"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array10 = resizableDoubleArray9.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = resizableDoubleArray9.copy();
    resizableDoubleArray11.contract();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray11);
    float f14 = resizableDoubleArray6.getContractionCriteria();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray15 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray6);
    int i16 = resizableDoubleArray6.getExpansionMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test094"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient((-2147483648), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test095"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 30569235L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger8 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, (-87L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test096"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    int i3 = resizableDoubleArray2.start();
    double[] d_array4 = new double[] {  };
    resizableDoubleArray2.addElements(d_array4);
    resizableDoubleArray2.setNumElements(40);
    resizableDoubleArray2.setElement(114, (-0.11763814684152732d));
    double[] d_array11 = resizableDoubleArray2.getInternalValues();
    resizableDoubleArray2.discardFrontElements(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test097"); }


    long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test098"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-127), (-19));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-108));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test099"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-47L), (-72L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(481.8729792298881d, 0.30153291745098787d, (-0.3714992151165093d), 16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test101"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-1.3597012802464503d), (-345.7741328944749d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.1376603343603513d));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test102"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test103() {}
// Defects4J: flaky method
//   @Test
//   public void test103() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test103"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d13 = randomDataImpl1.nextT(0.008935369162973229d);
//     double d15 = randomDataImpl1.nextT(0.1781263644950165d);
//     double d18 = randomDataImpl1.nextGamma(0.0d, 0.0d);
//     randomDataImpl1.reSeed();
//     double d21 = randomDataImpl1.nextT(0.0277974910626521d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d24 = randomDataImpl1.nextUniform(0.33723336939489945d, 0.2792521261698138d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-70L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == (-2.930722471257998E8d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 163476.49769306323d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-1.7294211877509553E26d));
// 
//   }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test104"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.48562944476684217d, 1.015178626014884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.48033424697270155d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test105"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-4886127434714423030L), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test106"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0000000000000568d, 0.2278677047034062d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000568d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test107"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.004534514168918943d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.673617379884035E-19d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-108), 3012);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test109"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    double d7 = normalDistribution0.probability(0.0d);
    double d10 = normalDistribution0.cumulativeProbability(0.031164246172632026d, 0.970897480921484d);
    double d12 = normalDistribution0.cumulativeProbability((-0.26425240473040407d));
    double d13 = normalDistribution0.getMean();
    boolean b14 = normalDistribution0.isSupportLowerBoundInclusive();
    double d16 = normalDistribution0.probability((-0.4261630815086993d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.3217696103745723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.39579271627730866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test110"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(8, 0.0f, 4.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() {}
// Defects4J: flaky method
//   @Test
//   public void test111() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test111"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     java.lang.String str13 = randomDataImpl1.nextSecureHexString(16);
//     java.util.Collection collection14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array16 = randomDataImpl1.nextSample(collection14, 22);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-20L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "3d6581af4c981d62"+ "'", str13.equals("3d6581af4c981d62"));
// 
//   }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.975154263726995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test113"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.15170418486711057d), (-0.2211241788582477d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.15170418486711057d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test114"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-6));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test115"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-1370523523977774080L), 775L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1370523523977774080L));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test116"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(281, 61L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1664420921);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test117"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(7606, 22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 167332);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test118"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test119"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.5682576400567463d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5682576400567463d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test120"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    double d6 = randomDataImpl1.nextF(572.9577951308232d, 6.480542736637947E-7d);
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution7 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b8 = normalDistribution7.isSupportLowerBoundInclusive();
    boolean b9 = normalDistribution7.isSupportConnected();
    boolean b10 = normalDistribution7.isSupportUpperBoundInclusive();
    double d11 = normalDistribution7.getNumericalMean();
    double d12 = normalDistribution7.getStandardDeviation();
    double[] d_array14 = normalDistribution7.sample(1);
    normalDistribution7.reseedRandomGenerator(1L);
    double d18 = normalDistribution7.density((-0.5750061825784119d));
    double d20 = normalDistribution7.probability(0.8288113175323827d);
    double d21 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution7);
    double d23 = normalDistribution7.density(0.45062438883513134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.4992264116135439E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.33815375576999834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-0.4261630815086993d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.36042560737898277d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test121"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)2.4912337494347603d, (java.lang.Number)(-0.3826067244815569d), (java.lang.Number)0.49437775751805646d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test122"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-2068851415));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() {}
// Defects4J: flaky method
//   @Test
//   public void test123() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test123"); }
// 
// 
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest2 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy1);
//     org.apache.commons.math3.random.RandomGenerator randomGenerator3 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking4 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0, randomGenerator3);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy5 = null;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest6 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy5);
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest7 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
//     double[] d_array10 = resizableDoubleArray9.getInternalValues();
//     double[] d_array13 = new double[] { 10.0d, 10.0d };
//     double d14 = mannWhitneyUTest7.mannWhitneyU(d_array10, d_array13);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray15 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array10);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy16 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy17 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest18 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy16, tiesStrategy17);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking20 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy21 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest22 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy19, tiesStrategy21);
//     double[] d_array25 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy26 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator27 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking28 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy26, randomGenerator27);
//     double[] d_array32 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array33 = naturalRanking28.rank(d_array32);
//     double d34 = mannWhitneyUTest22.mannWhitneyUTest(d_array25, d_array32);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy35 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator36 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking37 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy35, randomGenerator36);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray38 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array39 = resizableDoubleArray38.getInternalValues();
//     double[] d_array40 = naturalRanking37.rank(d_array39);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy41 = naturalRanking37.getNanStrategy();
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy42 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator43 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking44 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy42, randomGenerator43);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray45 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array46 = resizableDoubleArray45.getInternalValues();
//     double[] d_array47 = naturalRanking44.rank(d_array46);
//     double[] d_array48 = naturalRanking37.rank(d_array47);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy49 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator50 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking51 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy49, randomGenerator50);
//     double[] d_array55 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array56 = naturalRanking51.rank(d_array55);
//     double d57 = mannWhitneyUTest22.mannWhitneyUTest(d_array47, d_array56);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy58 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking59 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy58);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy60 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest61 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy58, tiesStrategy60);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy62 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking63 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy62);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy64 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest65 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy62, tiesStrategy64);
//     double[] d_array68 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy69 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator70 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking71 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy69, randomGenerator70);
//     double[] d_array75 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array76 = naturalRanking71.rank(d_array75);
//     double d77 = mannWhitneyUTest65.mannWhitneyUTest(d_array68, d_array75);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy78 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator79 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking80 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy78, randomGenerator79);
//     double[] d_array84 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array85 = naturalRanking80.rank(d_array84);
//     double d86 = mannWhitneyUTest61.mannWhitneyUTest(d_array75, d_array84);
//     double d87 = mannWhitneyUTest18.mannWhitneyUTest(d_array56, d_array75);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d88 = mannWhitneyUTest6.mannWhitneyUTest(d_array10, d_array56);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 200.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d34 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array48);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d57 == 5.284492479199487E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy64);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array75);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array76);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d77 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d86 == 0.5126907602619235d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d87 == 0.5126907602619235d);
// 
//   }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test124"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-76L), (-4690L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-76L));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test125"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-1923.1884105996642d), 36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3216050124114844E14d));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test126"); }


    double d2 = org.apache.commons.math3.special.Erf.erf((-0.6171985059230083d), (-0.7879751556820058d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.11762200411868184d));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test127"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(10, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test128"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 38);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test129"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(370L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test130"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100L);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array8 = mathArithmeticException7.getSuppressed();
    java.lang.Throwable[] throwable_array9 = mathArithmeticException7.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable6, (java.lang.Object[])throwable_array9);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])throwable_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable4, (java.lang.Object[])throwable_array9);
    java.lang.Throwable[] throwable_array13 = notStrictlyPositiveException2.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException14 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test131"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1718.074052462471d, number1, false);
    java.lang.Number number4 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1718.074052462471d+ "'", number4.equals(1718.074052462471d));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test132"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-0.36770246903906023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5350567286626973d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test134"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-9), 24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-9));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray((-5599213), 1.387779E-17f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() {}
// Defects4J: flaky method
//   @Test
//   public void test136() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test136"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     long long7 = randomDataImpl0.nextPoisson(1.0E-9d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution8 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b9 = normalDistribution8.isSupportLowerBoundInclusive();
//     boolean b10 = normalDistribution8.isSupportConnected();
//     boolean b11 = normalDistribution8.isSupportUpperBoundInclusive();
//     double d12 = normalDistribution8.getNumericalMean();
//     double d13 = normalDistribution8.getStandardDeviation();
//     double[] d_array15 = normalDistribution8.sample(1);
//     normalDistribution8.reseedRandomGenerator((-1L));
//     boolean b18 = normalDistribution8.isSupportUpperBoundInclusive();
//     double d19 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution8);
//     double d22 = randomDataImpl0.nextGamma((-0.9974947163822921d), (-30.743899107860464d));
//     double d26 = randomDataImpl0.nextUniform(0.0d, 0.43604367852130166d, true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-1.6213944815301478d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 2.886196845691234d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b9 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b18 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == (-1.4298283795613762d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d22 == (-88.91435066224145d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d26 == 0.15650430111874317d);
// 
//   }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test137"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    double[] d_array7 = normalDistribution0.sample(1);
    normalDistribution0.reseedRandomGenerator((-1L));
    double d11 = normalDistribution0.probability(0.19998956192426343d);
    double d13 = normalDistribution0.density(0.6163561377980459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.32992630174604015d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test138"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.1141480164359433d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1141480164359433d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test139"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(byte)(-1));
    org.apache.commons.math3.exception.MathInternalError mathInternalError2 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)notStrictlyPositiveException1);
    java.lang.Number number3 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test140"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.5871358179083448d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test141"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    long long9 = randomDataImpl1.nextLong(53L, 1932L);
    randomDataImpl1.reSeedSecure(0L);
    // The following exception was thrown during execution in test generation
    try {
      int i14 = randomDataImpl1.nextSecureInt(1918878385, (-2147483648));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 682L);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test143"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.05298121985306239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.37558420313767926d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test144"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-0.5750061825784117d), (java.lang.Number)0.9886441842744987d, false);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array7 = mathArithmeticException6.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)158.02878621655813d, (java.lang.Object[])throwable_array7);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)maxCountExceededException8);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException13 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(short)1, (java.lang.Number)(short)100, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = numberIsTooLargeException13.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array19 = mathArithmeticException18.getSuppressed();
    java.lang.Throwable[] throwable_array20 = mathArithmeticException18.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable17, (java.lang.Object[])throwable_array20);
    org.apache.commons.math3.exception.MathInternalError mathInternalError22 = new org.apache.commons.math3.exception.MathInternalError(localizable16, (java.lang.Object[])throwable_array20);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException23 = new org.apache.commons.math3.exception.NullArgumentException(localizable15, (java.lang.Object[])throwable_array20);
    numberIsTooLargeException13.addSuppressed((java.lang.Throwable)nullArgumentException23);
    boolean b25 = numberIsTooLargeException13.getBoundIsAllowed();
    maxCountExceededException8.addSuppressed((java.lang.Throwable)numberIsTooLargeException13);
    boolean b27 = numberIsTooLargeException13.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test145() {}
// Defects4J: flaky method
//   @Test
//   public void test145() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test145"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextCauchy(0.5772156649015329d, 0.9677066418664539d);
//     double d17 = randomDataImpl1.nextWeibull(0.19998956192426343d, 1.2184249125858766d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution18 = new org.apache.commons.math3.distribution.NormalDistribution();
//     double d19 = normalDistribution18.getNumericalMean();
//     double d20 = normalDistribution18.getStandardDeviation();
//     double d21 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution18);
//     java.lang.String str23 = randomDataImpl1.nextHexString(120);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i26 = randomDataImpl1.nextPascal(140, 8.149083785041858d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.97175678663149d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 1.0624283583352963d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 0.027749378351987226d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d20 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 0.2953514694846296d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "8a0cc07d480b323e6f4916cd4f53d5d9517c9be1d8f937058ee80ecdac04c763453348ca346ebcff7ce24b84b0aabebd1908dba69024dd4ed55c3658"+ "'", str23.equals("8a0cc07d480b323e6f4916cd4f53d5d9517c9be1d8f937058ee80ecdac04c763453348ca346ebcff7ce24b84b0aabebd1908dba69024dd4ed55c3658"));
// 
//   }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test146"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.5682576400567463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test147"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 789959828267113984L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 789959828267113984L);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test148"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(3.3881318E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.3881318E-21f);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test149"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.9999999f, 1429);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(11, 0.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test151"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d3 = resizableDoubleArray1.addElementRolling(1.0d);
    resizableDoubleArray1.setElement(100, 4.641588833612779d);
    double[] d_array7 = resizableDoubleArray1.getElements();
    resizableDoubleArray1.discardMostRecentElements(36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test152"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(163476.49769306323d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.697571694541178d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test153"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1320L, (-1370523523977774080L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1320L);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test154"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(4.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.0f);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test155"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    double d12 = randomDataImpl1.nextBeta(100.0d, 10.0d);
    long long15 = randomDataImpl1.nextLong((-1L), 1L);
    int i18 = randomDataImpl1.nextBinomial(126, 0.8717983538378159d);
    // The following exception was thrown during execution in test generation
    try {
      long long21 = randomDataImpl1.nextSecureLong((-56L), (-66L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9521520958603427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 108);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test156"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.7690635997119549d, 0.9992829648295115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.23021936511755658d));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test157"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.3924068504769933d, 0.968995449887409d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3924068504769933d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test158"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.384186E-7f, 20.760759803008003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.3841864E-7f);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test159"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(789959828267113984L, 700L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test160"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = null;
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy1 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy1);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy3 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest4 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy1, tiesStrategy3);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest5 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy3);
    double[] d_array6 = null;
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy7 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking8 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy7);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest9 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array12 = resizableDoubleArray11.getInternalValues();
    double[] d_array15 = new double[] { 10.0d, 10.0d };
    double d16 = mannWhitneyUTest9.mannWhitneyU(d_array12, d_array15);
    double[] d_array17 = naturalRanking8.rank(d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = mannWhitneyUTest5.mannWhitneyUTest(d_array6, d_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test161"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)397.28447803570276d, (java.lang.Number)(-1.2676505E30f), true);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test162"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    double d7 = normalDistribution0.probability(0.0d);
    double d10 = normalDistribution0.cumulativeProbability(0.031164246172632026d, 0.970897480921484d);
    double d12 = normalDistribution0.cumulativeProbability((-0.26425240473040407d));
    double d13 = normalDistribution0.getMean();
    boolean b14 = normalDistribution0.isSupportUpperBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.3217696103745723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.39579271627730866d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test163"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(33554436);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.478996453002603E8d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test164"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = null;
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy1 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy1);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy3 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest4 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy1, tiesStrategy3);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest5 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy3);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy6 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy7 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest8 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy6, tiesStrategy7);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy9 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator10 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking11 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy9, randomGenerator10);
    double[] d_array15 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array16 = naturalRanking11.rank(d_array15);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy17 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator18 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking19 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy17, randomGenerator18);
    double[] d_array23 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array24 = naturalRanking19.rank(d_array23);
    double d25 = mannWhitneyUTest8.mannWhitneyU(d_array16, d_array23);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray26 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray27 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray26);
    resizableDoubleArray27.discardMostRecentElements(0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray30 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray27);
    double[] d_array31 = resizableDoubleArray27.getElements();
    // The following exception was thrown during execution in test generation
    try {
      double d32 = mannWhitneyUTest5.mannWhitneyU(d_array23, d_array31);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test165"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-0.5683789400192379d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test166"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(2.3841864E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.842171E-14f);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test167"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger5 = null;
    java.math.BigInteger bigInteger7 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 700L);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger13 = null;
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, bigInteger13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(0, 1.0000001f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() {}
// Defects4J: flaky method
//   @Test
//   public void test169() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test169"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextSecureInt(3, 40);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = randomDataImpl1.nextUniform(0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 39);
// 
//   }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test170"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.7158714392232007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.045968843122679d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test171"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(-12183));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.8830970710131761d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7079674734165446d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test173"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray1);
    double[] d_array3 = resizableDoubleArray1.getElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray1.copy();
    resizableDoubleArray1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test174"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException3 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array4 = mathArithmeticException3.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)158.02878621655813d, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test175"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(66460480);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test176() {}
// Defects4J: flaky method
//   @Test
//   public void test176() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test176"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     double d9 = randomDataImpl1.nextT(0.1664483495590912d);
//     java.lang.String str11 = randomDataImpl1.nextSecureHexString(125);
//     randomDataImpl1.reSeedSecure();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d15 = randomDataImpl1.nextUniform(0.7761779856783452d, (-4.938319478081702d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 11.883686587327812d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "a616d65306d36f54376ea782625411613c4fc99cfe246af52440ff8b7e526f52dffd9da11e0ba8a7919616826817c19f95645dbcbe0537008aea36fef3ae7"+ "'", str11.equals("a616d65306d36f54376ea782625411613c4fc99cfe246af52440ff8b7e526f52dffd9da11e0ba8a7919616826817c19f95645dbcbe0537008aea36fef3ae7"));
// 
//   }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test177"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d6 = resizableDoubleArray4.addElementRolling(1.0d);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray2, resizableDoubleArray4);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray2);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.setContractionCriteria(2.3841858E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test178"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator1 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0, randomGenerator1);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy3 = naturalRanking2.getTiesStrategy();
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy4 = naturalRanking2.getTiesStrategy();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray5, resizableDoubleArray6);
    double[] d_array9 = resizableDoubleArray6.getInternalValues();
    double[] d_array10 = naturalRanking2.rank(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test179"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma((-1.3597012802464503d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test180"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-2), 114);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 112);

  }

  @Test
  public void test181() {}
// Defects4J: flaky method
//   @Test
//   public void test181() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test181"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextCauchy(0.5772156649015329d, 0.9677066418664539d);
//     int i17 = randomDataImpl1.nextSecureInt(115, 7572);
//     double d19 = randomDataImpl1.nextExponential(1.0285940155217264d);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl1.setSecureAlgorithm("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception", "d");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9718460793158101d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 20.273814779399462d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i17 == 3385);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == 1.4886936534367314d);
// 
//   }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.8983594538179319d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test183"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2.384186E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-22));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test184"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(2.1471612774614816E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 33.774629761247205d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test185"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-1.119888567600304d), 0.1664399107917142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(5599213, 0.0f, 2.3841858E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test187"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2395972823502364d));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test188"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo((-106548L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test189"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.2544688057161206d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0984598663889362d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test190"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)1.256916317259418d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test191"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(3.3554436E7f, (-1.2676505E30f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-3.3554436E7f));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test192"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(419046617, 1207);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 16600.953915549777d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test193"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.10802676379690254d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test194"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    java.lang.String str5 = randomDataImpl1.nextHexString(100);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = randomDataImpl1.nextSecureHexString((-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test195"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.018273362281842787d, number2, true);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(10.000815298034187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 573.0045082672274d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.007290358091535665d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.007290487253476001d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test199"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.4206970417898273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test200"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.17726059732237706d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.003093781057327324d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test201"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0011799550292992391d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0594100286737885E-5d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test202"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    int i4 = resizableDoubleArray1.start();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray5, resizableDoubleArray6);
    boolean b9 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray10);
    int i12 = resizableDoubleArray11.getExpansionMode();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray11.discardFrontElements((-32));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test203"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-19), (-90L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test204"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.2184249125858766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test205"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(7.448959205493294d, 0.0010870031223343733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-3.3984453339007294d));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test206"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-2025644137419103232L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2025644137419103232L);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test207"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(110.3206397147574d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9341605793993029d));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test208"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    resizableDoubleArray6.addElement(0.0d);
    resizableDoubleArray6.setNumElements(140);
    resizableDoubleArray6.addElement((-5.4604557801341325E-6d));
    resizableDoubleArray6.clear();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray16 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array17 = resizableDoubleArray16.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray18 = resizableDoubleArray16.copy();
    int i19 = resizableDoubleArray18.start();
    double[] d_array20 = new double[] {  };
    resizableDoubleArray18.addElements(d_array20);
    resizableDoubleArray18.setNumElements(40);
    resizableDoubleArray18.setElement(114, (-0.11763814684152732d));
    int i27 = resizableDoubleArray18.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray18);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray6.setExpansionFactor(10.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 115);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test209"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-2.5695353895783297d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1996561766622522d));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test210"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 30569235L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger8 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger6, (-66L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test211"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(short)1, (java.lang.Number)(short)100, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooLargeException3.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array9 = mathArithmeticException8.getSuppressed();
    java.lang.Throwable[] throwable_array10 = mathArithmeticException8.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathInternalError mathInternalError12 = new org.apache.commons.math3.exception.MathInternalError(localizable6, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, (java.lang.Object[])throwable_array10);
    numberIsTooLargeException3.addSuppressed((java.lang.Throwable)nullArgumentException13);
    java.lang.Number number15 = numberIsTooLargeException3.getMax();
    java.lang.Number number16 = numberIsTooLargeException3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + (short)100+ "'", number15.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + (short)100+ "'", number16.equals((short)100));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test212"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.9999999f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test213"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(4.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.7683716E-7f);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test214"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-9.530293202289618E-8d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3234889800848443E-23d);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test215"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(10L, 78L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-68L));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test216"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test217"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(70L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 80L);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test218"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)12414.712540474577d, number2, true);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test219"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(28, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test220"); }


    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest0 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array3 = resizableDoubleArray2.getInternalValues();
    double[] d_array6 = new double[] { 10.0d, 10.0d };
    double d7 = mannWhitneyUTest0.mannWhitneyU(d_array3, d_array6);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy8 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking9 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy8);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest10 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array13 = resizableDoubleArray12.getInternalValues();
    double[] d_array16 = new double[] { 10.0d, 10.0d };
    double d17 = mannWhitneyUTest10.mannWhitneyU(d_array13, d_array16);
    double[] d_array18 = naturalRanking9.rank(d_array16);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator20 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking21 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19, randomGenerator20);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array26 = naturalRanking21.rank(d_array25);
    double d27 = mannWhitneyUTest0.mannWhitneyUTest(d_array16, d_array25);
    double[] d_array28 = null;
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray30 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray31 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array32 = resizableDoubleArray31.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray33 = resizableDoubleArray31.copy();
    int i34 = resizableDoubleArray33.start();
    double[] d_array35 = new double[] {  };
    resizableDoubleArray33.addElements(d_array35);
    resizableDoubleArray30.addElements(d_array35);
    double[] d_array38 = resizableDoubleArray30.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray39 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array38);
    // The following exception was thrown during execution in test generation
    try {
      double d40 = mannWhitneyUTest0.mannWhitneyUTest(d_array28, d_array38);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test221"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1023));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test222"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)3.141592653589793d, (java.lang.Number)108, (java.lang.Number)397.28447803570276d);
    java.lang.Throwable[] throwable_array6 = outOfRangeException5.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test223"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1718.074052462471d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test224"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(216, 570);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 570);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test225"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.8865784618393979d, (java.lang.Number)0.008581559887127513d, false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test226"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-488612743471442303L), (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test227"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(7L, 1629L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7L);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test228"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    double d5 = randomDataImpl1.nextExponential(100.0d);
    double d8 = randomDataImpl1.nextF(4.641588833612779d, 1.423484575406847d);
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution9 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b10 = normalDistribution9.isSupportLowerBoundInclusive();
    boolean b11 = normalDistribution9.isSupportConnected();
    boolean b12 = normalDistribution9.isSupportUpperBoundInclusive();
    double d13 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution9);
    double d15 = normalDistribution9.cumulativeProbability(0.5210953054937474d);
    double d16 = normalDistribution9.getSupportLowerBound();
    double d17 = normalDistribution9.getSupportUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 224.38740780195423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.7690635997119549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.7937633604685774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.6988498094591846d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test229"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking1 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy2 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest3 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy2);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy4 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking5 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy4);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy6 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest7 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy4, tiesStrategy6);
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking8 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0, tiesStrategy6);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy9 = naturalRanking8.getNanStrategy();
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = naturalRanking8.rank(d_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy9);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test230"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(6, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-1463.9761778208451d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.005998716021049932d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(88.5808275421977d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9473397332453217d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test233"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(38, 1725708);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test234"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.0d, 0.6990762583872259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test235"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-2.3841858E-7f), 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test236"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-419046617), 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test237"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array6 = resizableDoubleArray5.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray7 = resizableDoubleArray5.copy();
    int i8 = resizableDoubleArray7.start();
    double[] d_array9 = new double[] {  };
    resizableDoubleArray7.addElements(d_array9);
    resizableDoubleArray4.addElements(d_array9);
    resizableDoubleArray0.addElements(d_array9);
    boolean b14 = resizableDoubleArray0.equals((java.lang.Object)0.40058321144755626d);
    resizableDoubleArray0.setElement(34, 5.31935613962987E11d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test238"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)53L, (java.lang.Number)0.3217696103745723d, true);

  }

  @Test
  public void test239() {}
// Defects4J: flaky method
//   @Test
//   public void test239() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test239"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     java.lang.String str5 = randomDataImpl0.nextSecureHexString(100);
//     double d8 = randomDataImpl0.nextF(2.7581226324091723d, 0.1664399107917142d);
//     int i11 = randomDataImpl0.nextZipf(34, 0.001487321812521568d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution12 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b13 = normalDistribution12.isSupportLowerBoundInclusive();
//     boolean b14 = normalDistribution12.isSupportConnected();
//     double d15 = normalDistribution12.sample();
//     double d16 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution12);
//     double d18 = randomDataImpl0.nextT(7.435186408494753d);
//     randomDataImpl0.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       long long22 = randomDataImpl0.nextLong(0L, 0L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.030167777059607874d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "b45b55e9ea6c62271e4008fa47ba3a3fcfed3df43a5324cc36b783a8799ddeece3e205e398ef484f4388cbb3f0af8e301907"+ "'", str5.equals("b45b55e9ea6c62271e4008fa47ba3a3fcfed3df43a5324cc36b783a8799ddeece3e205e398ef484f4388cbb3f0af8e301907"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 2.7214161149877503E14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.22907286180992872d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == (-0.7704427350413032d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-1.1072431863395922d));
// 
//   }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test240"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.4210855E-14f, 1.3877788E-17f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.3877788E-17f);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test241"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(0.16973481848200667d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 26.736449908736713d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test242"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array10 = resizableDoubleArray9.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = resizableDoubleArray9.copy();
    resizableDoubleArray11.contract();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray11);
    float f14 = resizableDoubleArray6.getExpansionFactor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 2.0f);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test243"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP((-2.2169155532488376d), (-0.06823503620477654d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-44.09833042360902d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.5481236171041917d));

  }

  @Test
  public void test245() {}
// Defects4J: flaky method
//   @Test
//   public void test245() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test245"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
//     randomDataImpl1.reSeed(10L);
//     double d14 = randomDataImpl1.nextGaussian(0.0d, 5730.0d);
//     long long17 = randomDataImpl1.nextSecureLong((-87L), 700L);
//     randomDataImpl1.reSeedSecure();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d21 = randomDataImpl1.nextWeibull(0.0d, 0.2383372402361425d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == (-1463.9761778208451d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long17 == 515L);
// 
//   }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test246"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(3260L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test247"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    double d4 = resizableDoubleArray2.addElementRolling(0.16973481848200667d);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy5 = org.apache.commons.math3.stat.ranking.NaNStrategy.MAXIMAL;
    boolean b6 = resizableDoubleArray2.equals((java.lang.Object)naNStrategy5);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.discardFrontElements(488680);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test248"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest2 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy1);
    org.apache.commons.math3.random.RandomGenerator randomGenerator3 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking4 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0, randomGenerator3);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy5 = null;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest6 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy5);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy7 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator8 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking9 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy7, randomGenerator8);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array11 = resizableDoubleArray10.getInternalValues();
    double[] d_array12 = naturalRanking9.rank(d_array11);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy13 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy14 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest15 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy13, tiesStrategy14);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy16 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator17 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking18 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy16, randomGenerator17);
    double[] d_array22 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array23 = naturalRanking18.rank(d_array22);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy24 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator25 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking26 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy24, randomGenerator25);
    double[] d_array30 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array31 = naturalRanking26.rank(d_array30);
    double d32 = mannWhitneyUTest15.mannWhitneyU(d_array23, d_array30);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = mannWhitneyUTest6.mannWhitneyUTest(d_array11, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 6.0d);

  }

  @Test
  public void test249() {}
// Defects4J: flaky method
//   @Test
//   public void test249() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test249"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     double d5 = randomDataImpl1.nextExponential(100.0d);
//     double d8 = randomDataImpl1.nextF(4.641588833612779d, 1.423484575406847d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution9 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b10 = normalDistribution9.isSupportLowerBoundInclusive();
//     boolean b11 = normalDistribution9.isSupportConnected();
//     boolean b12 = normalDistribution9.isSupportUpperBoundInclusive();
//     double d13 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution9);
//     double d14 = normalDistribution9.getMean();
//     double d15 = normalDistribution9.sample();
//     double d16 = normalDistribution9.getSupportUpperBound();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 224.38740780195423d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.7690635997119549d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.7937633604685774d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == (-0.6679255673580267d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == Double.POSITIVE_INFINITY);
// 
//   }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-1.2395972823502364d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.28950078154071224d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test251"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test252"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    float f2 = resizableDoubleArray1.getExpansionFactor();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray1);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.discardMostRecentElements(1664420921);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0f);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test253"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-2.2169155532488376d));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test254"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.8471489788486656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2459674538988192d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test255"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-108), 7572);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7680));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test256"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(74L, (-4690L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4616L));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test257"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4210856E-14f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.105428E-15f);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test258"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test259"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.0f);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test260"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution3 = new org.apache.commons.math3.distribution.NormalDistribution(0.02762562018745763d, 1.423484575406847d, 0.0d);
    double d5 = normalDistribution3.cumulativeProbability(0.08330726157746504d);
    boolean b6 = normalDistribution3.isSupportUpperBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.5156012209852924d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test261"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.7959509256065679E-9d);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 572.9577951308232d };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable6, obj_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable4, localizable5, obj_array8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable3, obj_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test262"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.015040770010071536d, (-0.07546888162190218d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test263"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(2.8421713E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8421716E-14f);

  }

  @Test
  public void test264() {}
// Defects4J: flaky method
//   @Test
//   public void test264() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test264"); }
// 
// 
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = null;
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.AVERAGE;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0, tiesStrategy1);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy3 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking4 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy3);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy5 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest6 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy3, tiesStrategy5);
//     double[] d_array9 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy10 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking12 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy10, randomGenerator11);
//     double[] d_array16 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array17 = naturalRanking12.rank(d_array16);
//     double d18 = mannWhitneyUTest6.mannWhitneyUTest(d_array9, d_array16);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator20 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking21 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19, randomGenerator20);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray22 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array23 = resizableDoubleArray22.getInternalValues();
//     double[] d_array24 = naturalRanking21.rank(d_array23);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy25 = naturalRanking21.getNanStrategy();
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy26 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator27 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking28 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy26, randomGenerator27);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray29 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array30 = resizableDoubleArray29.getInternalValues();
//     double[] d_array31 = naturalRanking28.rank(d_array30);
//     double[] d_array32 = naturalRanking21.rank(d_array31);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy33 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator34 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking35 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy33, randomGenerator34);
//     double[] d_array39 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array40 = naturalRanking35.rank(d_array39);
//     double d41 = mannWhitneyUTest6.mannWhitneyUTest(d_array31, d_array40);
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array42 = naturalRanking2.rank(d_array40);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d41 == 2.2468448668322427E-4d);
// 
//   }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test265"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(-0.18730680370498717d));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test266"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(8.377739493577058d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test267"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.01694535774139872d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test268"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(6.0869486382530695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.2022370385644257d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test269"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(28, 1.387779E-17f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test270"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.5316380352360834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.447350184846204d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test271"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(22762.72385750362d, 0.9726442523608879d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9726442523608879d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test272"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(2.4912337494347603d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5783642638614066d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test273"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    double[] d_array7 = normalDistribution0.sample(1);
    normalDistribution0.reseedRandomGenerator(1L);
    double d10 = normalDistribution0.getStandardDeviation();
    double d11 = normalDistribution0.getNumericalMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test274"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.5641744101659408d, (java.lang.Number)0.7144614692205902d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.7144614692205902d+ "'", number5.equals(0.7144614692205902d));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test275"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 700L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger8 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test276"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(120, (-18L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() {}
// Defects4J: flaky method
//   @Test
//   public void test277() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test277"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     double d8 = randomDataImpl0.nextUniform(0.40962626434553495d, 0.9062148310548903d);
//     double d10 = randomDataImpl0.nextChiSquare(0.0036504344044419046d);
//     double d12 = randomDataImpl0.nextChiSquare(0.017451700720027465d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.4780105654217088d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.44196671483761807d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.7825032789808344d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 1.0191098900161986E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.18725723397207E-9d);
// 
//   }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test278"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(6.0d, 0.9999738043978266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.0d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test279"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(5.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5061176655412654d);

  }

  @Test
  public void test280() {}
// Defects4J: flaky method
//   @Test
//   public void test280() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test280"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
//     randomDataImpl1.reSeed(10L);
//     java.lang.String str13 = randomDataImpl1.nextHexString(100);
//     long long16 = randomDataImpl1.nextSecureLong((-100L), 0L);
//     randomDataImpl1.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array20 = randomDataImpl1.nextPermutation((-127), 24);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str13 + "' != '" + "1d0525e8aae8febb0157ee74f3754b9a34adbdfa4a6879af047755869150a7cd6a102c521ef005c568febacfc31fc87faf2b"+ "'", str13.equals("1d0525e8aae8febb0157ee74f3754b9a34adbdfa4a6879af047755869150a7cd6a102c521ef005c568febacfc31fc87faf2b"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == (-37L));
// 
//   }

  @Test
  public void test281() {}
// Defects4J: flaky method
//   @Test
//   public void test281() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test281"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextGamma(5.90807694780443d, 0.0d);
//     double d16 = randomDataImpl1.nextChiSquare(0.37640303038252027d);
//     randomDataImpl1.reSeedSecure();
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl1.setSecureAlgorithm("9ec87401471566dd86a50312963ed462fa54dc5c12709ee0286c1184395599574c4377152133e165a52c936b307ea9a5b6eb", "");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9720914896237575d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 4.904473117912985d);
// 
//   }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test282"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(3L, 70L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-67L));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test283"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    int i4 = resizableDoubleArray1.start();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray5, resizableDoubleArray6);
    boolean b9 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray6);
    resizableDoubleArray10.discardFrontElements(0);
    double[] d_array13 = resizableDoubleArray10.getElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray14 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array15 = resizableDoubleArray14.getInternalValues();
    double d17 = resizableDoubleArray14.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray10, resizableDoubleArray14);
    int i19 = resizableDoubleArray10.getExpansionMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test284"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(2.8421716E-14f, 281);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test285() {}
// Defects4J: flaky method
//   @Test
//   public void test285() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test285"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     randomDataImpl0.reSeedSecure((-18L));
//     // The following exception was thrown during execution in test generation
//     try {
//       long long10 = randomDataImpl0.nextLong(460L, 0L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 109);
// 
//   }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test286"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test287"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    int i4 = resizableDoubleArray1.start();
    int i5 = resizableDoubleArray1.start();
    resizableDoubleArray1.setNumElements(0);
    float f8 = resizableDoubleArray1.getContractionCriteria();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 2.5f);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test288"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.012479870024918498d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.012402638344047751d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test289"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    randomDataImpl1.reSeed(10L);
    double d11 = randomDataImpl1.nextUniform(0.0d, 0.9713975132247312d);
    java.lang.String str13 = randomDataImpl1.nextHexString(1725708);
    // The following exception was thrown during execution in test generation
    try {
      long long16 = randomDataImpl1.nextLong(70L, (-53L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.39708366044405774d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test290"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    double d12 = randomDataImpl1.nextBeta(100.0d, 10.0d);
    long long15 = randomDataImpl1.nextLong((-1L), 1L);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str17 = randomDataImpl1.nextHexString((-127786468));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9521520958603427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == (-1L));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test291"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(1664420921, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1664420921);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test292"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(100, (-2068851415));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test293"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.35737549821931225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 20.47610774935166d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test295"); }


    double d2 = org.apache.commons.math3.special.Erf.erf((-0.8835349441793859d), 0.9734090381975822d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6198869473998192d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test296"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(100.00001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.3714992151165093d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9514196064654727d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test298"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.18979606760219284d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 29.043020824896875d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test299"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
    double d12 = randomDataImpl1.nextF(9.596471481410536E-5d, 0.43604367852130166d);
    double d15 = randomDataImpl1.nextGaussian(0.0d, 0.6367332316897554d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.7959509256065679E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.2970860949415484d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test300"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-9059792967709091551L), 403200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2981107316602298369L);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test301"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    boolean b6 = normalDistribution0.isSupportLowerBoundInclusive();
    double d7 = normalDistribution0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test302"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    double[] d_array7 = normalDistribution0.sample(1);
    double d8 = normalDistribution0.getMean();
    double d9 = normalDistribution0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test303"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)100L);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException4 = new org.apache.commons.math3.exception.MathArithmeticException();
    java.lang.Throwable[] throwable_array5 = mathArithmeticException4.getSuppressed();
    java.lang.Throwable[] throwable_array6 = mathArithmeticException4.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable3, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathInternalError8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test304"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-152938.13116031085d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test305"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(74L, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 64182695965556736L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test306"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos((-0.2811828080936437d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 50.907552806455115d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test307"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-72L), (-26L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-72L));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test308"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.5750061825784119d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5190263509765132d));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test309"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.008581559887127513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13580.616300647474d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test310"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.946182130783382E116d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.09884758558502815d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.09852689739965716d));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test312"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    float f8 = resizableDoubleArray6.getExpansionFactor();
    float f9 = resizableDoubleArray6.getContractionCriteria();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray6.discardFrontElements(25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 2.5f);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test313"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test314"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-2L), 4L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 16L);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test315"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.1471612774614816E-15d, 0.9997647030830816d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.147666616794982E-15d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test316"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0f, (java.lang.Number)(byte)10, true);
    java.lang.Throwable[] throwable_array10 = numberIsTooLargeException9.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException11 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathInternalError mathInternalError12 = new org.apache.commons.math3.exception.MathInternalError(localizable4, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test317"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(3.3554436E7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.3554436E7f);

  }

  @Test
  public void test318() {}
// Defects4J: flaky method
//   @Test
//   public void test318() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test318"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextCauchy(0.5772156649015329d, 0.9677066418664539d);
//     double d17 = randomDataImpl1.nextWeibull(0.19998956192426343d, 1.2184249125858766d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution18 = new org.apache.commons.math3.distribution.NormalDistribution();
//     double d19 = normalDistribution18.getNumericalMean();
//     double d20 = normalDistribution18.getStandardDeviation();
//     double d21 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution18);
//     java.lang.String str23 = randomDataImpl1.nextHexString(120);
//     randomDataImpl1.reSeedSecure();
//     double d27 = randomDataImpl1.nextGamma((-14.236798311294471d), 0.0d);
//     double d29 = randomDataImpl1.nextExponential(0.6860670441474556d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9713087517743514d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 1.9746286469657588d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 7.498176688853092d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d20 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 2.648355814363151d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "f71a4dd8377560381e266ad8e7cd4c336f3ec2bf94c8583bda75cc516e0da26f443279c3638b5a3ca3cf458b0333e64e357b4ec623b0d166a5289f25"+ "'", str23.equals("f71a4dd8377560381e266ad8e7cd4c336f3ec2bf94c8583bda75cc516e0da26f443279c3638b5a3ca3cf458b0333e64e357b4ec623b0d166a5289f25"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d29 == 0.3235093251487771d);
// 
//   }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test319"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution3 = new org.apache.commons.math3.distribution.NormalDistribution(0.02762562018745763d, 1.423484575406847d, 0.0d);
    boolean b4 = normalDistribution3.isSupportConnected();
    double d5 = normalDistribution3.getNumericalVariance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.0263083364212116d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test321"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    java.lang.Object obj2 = null;
    boolean b3 = resizableDoubleArray1.equals(obj2);
    double[] d_array4 = resizableDoubleArray1.getElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array4);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray5.setExpansionFactor(0.99999994f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test322"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-3.128610704195012E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.000000048941025d);

  }

  @Test
  public void test323() {}
// Defects4J: flaky method
//   @Test
//   public void test323() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test323"); }
// 
// 
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution3 = new org.apache.commons.math3.distribution.NormalDistribution(2.128139588044721d, 1812877.0175438717d, (-202.37331970420357d));
//     double[] d_array5 = normalDistribution3.sample(24);
//     boolean b6 = normalDistribution3.isSupportUpperBoundInclusive();
//     double d7 = normalDistribution3.sample();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = normalDistribution3.cumulativeProbability(0.9419033014953043d, 0.40962626434553495d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b6 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == (-1382508.3688203085d));
// 
//   }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test324"); }


    double d2 = org.apache.commons.math3.special.Erf.erf((-0.656287460888195d), 1.0191098900161986E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6466601873026632d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test325"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(136, 22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test326"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.3888499328147672d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test327"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.003263716901670266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5675326040990958d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test328"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.28400741206008434d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test329"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.4337808304830271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4084761543836649d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test330"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-78L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test331"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(2.842171E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8421713E-14f);

  }

  @Test
  public void test332() {}
// Defects4J: flaky method
//   @Test
//   public void test332() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test332"); }
// 
// 
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.MINIMAL;
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy1 = org.apache.commons.math3.stat.ranking.TiesStrategy.MINIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest2 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy1);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy3 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking4 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy3);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy5 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest6 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy3, tiesStrategy5);
//     double[] d_array9 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy10 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator11 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking12 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy10, randomGenerator11);
//     double[] d_array16 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array17 = naturalRanking12.rank(d_array16);
//     double d18 = mannWhitneyUTest6.mannWhitneyUTest(d_array9, d_array16);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator20 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking21 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19, randomGenerator20);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray22 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array23 = resizableDoubleArray22.getInternalValues();
//     double[] d_array24 = naturalRanking21.rank(d_array23);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy25 = naturalRanking21.getNanStrategy();
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy26 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator27 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking28 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy26, randomGenerator27);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray29 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array30 = resizableDoubleArray29.getInternalValues();
//     double[] d_array31 = naturalRanking28.rank(d_array30);
//     double[] d_array32 = naturalRanking21.rank(d_array31);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy33 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator34 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking35 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy33, randomGenerator34);
//     double[] d_array39 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array40 = naturalRanking35.rank(d_array39);
//     double d41 = mannWhitneyUTest6.mannWhitneyUTest(d_array31, d_array40);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray43 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
//     double[] d_array44 = resizableDoubleArray43.getInternalValues();
//     double d45 = mannWhitneyUTest2.mannWhitneyUTest(d_array31, d_array44);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy46 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator47 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking48 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy46, randomGenerator47);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray49 = new org.apache.commons.math3.util.ResizableDoubleArray();
//     double[] d_array50 = resizableDoubleArray49.getInternalValues();
//     double[] d_array51 = naturalRanking48.rank(d_array50);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy52 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking53 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy52);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy54 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest55 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy52, tiesStrategy54);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy56 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking57 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy56);
//     org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy58 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
//     org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest59 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy56, tiesStrategy58);
//     double[] d_array62 = new double[] { 100.0d, 1.0d };
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy63 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator64 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking65 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy63, randomGenerator64);
//     double[] d_array69 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array70 = naturalRanking65.rank(d_array69);
//     double d71 = mannWhitneyUTest59.mannWhitneyUTest(d_array62, d_array69);
//     org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy72 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
//     org.apache.commons.math3.random.RandomGenerator randomGenerator73 = null;
//     org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking74 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy72, randomGenerator73);
//     double[] d_array78 = new double[] { 100.0d, 10.0d, 0.0d };
//     double[] d_array79 = naturalRanking74.rank(d_array78);
//     double d80 = mannWhitneyUTest55.mannWhitneyUTest(d_array69, d_array78);
//     org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray81 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array69);
//     double d82 = mannWhitneyUTest2.mannWhitneyUTest(d_array50, d_array69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array17);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy26);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array31);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array32);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d41 == 0.001185697335423952d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d45 == 2.0561463642820854E-10d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array50);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array51);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy54);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy56);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(tiesStrategy58);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array70);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d71 == 0.5637028616507731d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(naNStrategy72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array78);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d80 == 0.5126907602619235d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d82 == 0.0d);
// 
//   }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test333"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(-0.6636391465277816d));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test334"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 102);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test335"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.1920929E-7f, 3.3554436E7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.3554436E7f);

  }

  @Test
  public void test336() {}
// Defects4J: flaky method
//   @Test
//   public void test336() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test336"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d4 = randomDataImpl1.nextCauchy(2.7581226324091723d, 10.0d);
//     double d7 = randomDataImpl1.nextBeta(0.5210953054937474d, 161.9816220746272d);
//     double d9 = randomDataImpl1.nextT(0.8717983538378159d);
//     double d12 = randomDataImpl1.nextGamma(0.30153291745098787d, 2.8421709430404007E-14d);
//     randomDataImpl1.reSeed();
//     double d15 = randomDataImpl1.nextT(0.22923302545044935d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 20.18458068215279d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.0016095929963430887d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == (-1.2090690480957806d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 5.185906650151065E-16d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 32.00017540922693d);
// 
//   }

  @Test
  public void test337() {}
// Defects4J: flaky method
//   @Test
//   public void test337() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test337"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     int i3 = randomDataImpl0.nextZipf(140, 0.008935369162973229d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution7 = new org.apache.commons.math3.distribution.NormalDistribution(0.3519296164825562d, 1.439493730485027d, 1.2184249125858766d);
//     double d8 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution7);
//     double d10 = randomDataImpl0.nextExponential(0.9062148310548903d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i13 = randomDataImpl0.nextSecureInt(34, 10);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 15);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.8529748450411712d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 0.6076628639492947d);
// 
//   }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test338"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(-0.8696768815335284d), (java.lang.Number)1.3069468473185186d, (java.lang.Number)0.9747294572972803d);
    java.lang.Number number4 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.9747294572972803d+ "'", number4.equals(0.9747294572972803d));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test339"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    float f2 = resizableDoubleArray1.getExpansionFactor();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray1);
    resizableDoubleArray1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0f);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test340"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(137L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 137L);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test341"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(10.0d, 0.027705053070945423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5680258285762916d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.6466601873026632d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6025242646732999d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test343"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2085212.2789664026d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test344"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(4.0389678E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-91));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test345"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.15650430111874317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4136459871254128d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test346"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(0.003093781057327324d, 1.0187880492187735d, 0.9735122752987462d, (-2068851415));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test347"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.2072532829691938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test348"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-1.2143858670503787d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test349() {}
// Defects4J: flaky method
//   @Test
//   public void test349() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test349"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     java.lang.String str5 = randomDataImpl0.nextSecureHexString(100);
//     double d8 = randomDataImpl0.nextF(2.7581226324091723d, 0.1664399107917142d);
//     int i11 = randomDataImpl0.nextZipf(34, 0.001487321812521568d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution12 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b13 = normalDistribution12.isSupportLowerBoundInclusive();
//     boolean b14 = normalDistribution12.isSupportConnected();
//     double d15 = normalDistribution12.sample();
//     double d16 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution12);
//     double d18 = randomDataImpl0.nextT(7.435186408494753d);
//     randomDataImpl0.reSeed();
//     double d22 = randomDataImpl0.nextGaussian(0.0d, 7.723082620707721E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-0.8490907798766252d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "2fc188293ea8835567a88f22ddf2a6d6b7f3bc70e36212e68bab1586fde98fed67dd421b3e94bb4e456efbfeaadf7e4af54c"+ "'", str5.equals("2fc188293ea8835567a88f22ddf2a6d6b7f3bc70e36212e68bab1586fde98fed67dd421b3e94bb4e456efbfeaadf7e4af54c"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 3.831499057651619E12d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b14 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 7.314958960818657E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 0.8799198967260089d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 0.5861164745564033d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d22 == (-1.5708675676837086E-15d));
// 
//   }

  @Test
  public void test350() {}
// Defects4J: flaky method
//   @Test
//   public void test350() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test350"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d4 = randomDataImpl1.nextCauchy(2.7581226324091723d, 10.0d);
//     double d7 = randomDataImpl1.nextBeta(0.5210953054937474d, 161.9816220746272d);
//     double d9 = randomDataImpl1.nextT(0.8717983538378159d);
//     double d12 = randomDataImpl1.nextGamma(0.30153291745098787d, 2.8421709430404007E-14d);
//     long long15 = randomDataImpl1.nextLong(1L, 3710L);
//     randomDataImpl1.reSeedSecure(0L);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl1.setSecureAlgorithm("4eab126e28d76843f608a8c889bc654ef46744a4c684e70c7ec594424440d681b47281a5e8761a5dafdff8a0c1afdbddf07d35ef4b1a7685d6696bbb", "c6c541cc999927b668f44b7443661de58");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == (-25.562868642131495d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.610482642961996E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == (-0.28563644879494887d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 1.3104279290147155E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 480L);
// 
//   }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test351"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array3 = resizableDoubleArray2.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray2.copy();
    int i5 = resizableDoubleArray4.start();
    double[] d_array6 = new double[] {  };
    resizableDoubleArray4.addElements(d_array6);
    resizableDoubleArray1.addElements(d_array6);
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution9 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b10 = normalDistribution9.isSupportLowerBoundInclusive();
    boolean b11 = normalDistribution9.isSupportConnected();
    boolean b12 = normalDistribution9.isSupportLowerBoundInclusive();
    double d14 = normalDistribution9.inverseCumulativeProbability(0.9062148310548903d);
    double d16 = normalDistribution9.probability(100.00953924665411d);
    boolean b17 = resizableDoubleArray1.equals((java.lang.Object)normalDistribution9);
    boolean b18 = normalDistribution9.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.3178008064861262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test352"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    java.lang.String str5 = randomDataImpl1.nextHexString(100);
    randomDataImpl1.reSeed(0L);
    randomDataImpl1.reSeed();
    randomDataImpl1.reSeedSecure(7L);
    // The following exception was thrown during execution in test generation
    try {
      int i13 = randomDataImpl1.nextPascal((-127), 20.47610774935166d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test353"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray0.copy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test354"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1425465430742778d));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test355"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-849613929502312064L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-849613929502312064L));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test356"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000001f);

  }

  @Test
  public void test357() {}
// Defects4J: flaky method
//   @Test
//   public void test357() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test357"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextCauchy(0.5772156649015329d, 0.9677066418664539d);
//     double d18 = randomDataImpl1.nextUniform((-0.751378522428438d), 0.0d, true);
//     randomDataImpl1.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str21 = randomDataImpl1.nextHexString((-108));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9691570100211333d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == (-0.13969018652673015d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == (-0.31586983173174704d));
// 
//   }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.8717983538378159d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8717983538378159d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test359"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution3 = new org.apache.commons.math3.distribution.NormalDistribution(0.02762562018745763d, 1.423484575406847d, 0.0d);
    double d4 = normalDistribution3.getSupportLowerBound();
    double d5 = normalDistribution3.getNumericalMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.02762562018745763d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test360"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    double d4 = normalDistribution0.density((-169.06365548738233d));
    boolean b5 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b6 = normalDistribution0.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test361"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.4547646913461962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8983644125946365d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test362"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.9514196064654727d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.038672636670679d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test363"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-9059792967709091551L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9059792967709091551L));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test364"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(120);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 120);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test365"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(1664420921, 7.6293945E-6f, 1.192093E-7f, 15625);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test366"); }


    double d2 = org.apache.commons.math3.special.Erf.erf((-0.5063656411097588d), 2.0263083364212116d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5219142824459335d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test367"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(0.0d, 6.038672636670679d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.5069618678937673d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5316564779804898d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.42679320452120423d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.4683119023620793d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6316982442068477d));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test371"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(0L, 2025644137419103232L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test372"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array6 = resizableDoubleArray5.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray7 = resizableDoubleArray5.copy();
    int i8 = resizableDoubleArray7.start();
    double[] d_array9 = new double[] {  };
    resizableDoubleArray7.addElements(d_array9);
    resizableDoubleArray4.addElements(d_array9);
    resizableDoubleArray0.addElements(d_array9);
    resizableDoubleArray0.addElement(9.596471481410536E-5d);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray0.discardFrontElements(28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test373"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(136);
    resizableDoubleArray1.setNumElements(127);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test374"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.7905761457266478d, 5565.610981034328d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7905761457266478d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test375"); }


    double d2 = org.apache.commons.math3.special.Erf.erf((-33.54878065955432d), 10.000815298034187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0d);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.5796024029890662d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5512555980895303d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test377"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
    randomDataImpl1.reSeed(10L);
    int i14 = randomDataImpl1.nextBinomial(0, 0.0d);
    int[] i_array17 = randomDataImpl1.nextPermutation(1429, 114);
    double d19 = randomDataImpl1.nextT(1.4077237622026912d);
    // The following exception was thrown during execution in test generation
    try {
      int i23 = randomDataImpl1.nextHypergeometric(2535, (-127786468), (-12183));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.44771728252780213d);

  }

  @Test
  public void test378() {}
// Defects4J: flaky method
//   @Test
//   public void test378() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test378"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     long long11 = randomDataImpl1.nextSecureLong((-90L), 10L);
//     double d14 = randomDataImpl1.nextF(0.5772156649015329d, 0.0014884289733437667d);
//     java.util.Collection collection15 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array17 = randomDataImpl1.nextSample(collection15, 19);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == (-19L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 3.0477665652779375E13d);
// 
//   }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test379"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.8065645064122632E-9d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test380"); }


    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest0 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array3 = resizableDoubleArray2.getInternalValues();
    double[] d_array6 = new double[] { 10.0d, 10.0d };
    double d7 = mannWhitneyUTest0.mannWhitneyU(d_array3, d_array6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray8 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array3);
    int i9 = resizableDoubleArray8.getExpansionMode();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test381() {}
// Defects4J: flaky method
//   @Test
//   public void test381() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test381"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     double d9 = randomDataImpl1.nextBeta(0.027712143770207958d, 4.7421875d);
//     randomDataImpl1.reSeed(10L);
//     double d14 = randomDataImpl1.nextGaussian(0.0d, 5730.0d);
//     long long17 = randomDataImpl1.nextSecureLong((-87L), 700L);
//     randomDataImpl1.reSeedSecure();
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i20 = randomDataImpl1.nextInversionDeviate(integerDistribution19);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.528744170701761E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == (-1463.9761778208451d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long17 == 310L);
// 
//   }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test382"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(5912773.12448613d, 20.18458068215279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test383"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.9713087517743514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6786976631753091d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test384"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    double d4 = normalDistribution0.density((-169.06365548738233d));
    boolean b5 = normalDistribution0.isSupportUpperBoundInclusive();
    double d6 = normalDistribution0.getMean();
    double d7 = normalDistribution0.getSupportUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test385"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-2), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test386"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.031164246172632026d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test387"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    java.lang.Object obj2 = null;
    boolean b3 = resizableDoubleArray1.equals(obj2);
    double[] d_array4 = resizableDoubleArray1.getElements();
    resizableDoubleArray1.addElement(0.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray7 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray1);
    resizableDoubleArray7.setElement(26, (-0.0038310850577256534d));
    resizableDoubleArray7.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test388"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(0, 2.3841858E-7f, 2.842171E-14f, 16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test389"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(1113462784, 68);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test390"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(2.384186E-7f, 1725707);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test391"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-2.3841858E-7f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.3841858E-7f);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test392"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1932L, 775L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1932L);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.17401369047041912d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test394"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.6103343014485784d), 1.5680258285762916d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6826208600297008d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test395"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = null;
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy1 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy1);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy3 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest4 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy1, tiesStrategy3);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest5 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    double d9 = resizableDoubleArray6.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array11 = resizableDoubleArray10.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = resizableDoubleArray10.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray12);
    double[] d_array14 = resizableDoubleArray12.getElements();
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy15 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking16 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy15);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy17 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest18 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy15, tiesStrategy17);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking20 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy21 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest22 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy19, tiesStrategy21);
    double[] d_array25 = new double[] { 100.0d, 1.0d };
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy26 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator27 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking28 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy26, randomGenerator27);
    double[] d_array32 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array33 = naturalRanking28.rank(d_array32);
    double d34 = mannWhitneyUTest22.mannWhitneyUTest(d_array25, d_array32);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray36 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array37 = resizableDoubleArray36.getInternalValues();
    double d38 = mannWhitneyUTest18.mannWhitneyUTest(d_array32, d_array37);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy39 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator40 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking41 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy39, randomGenerator40);
    double[] d_array45 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array46 = naturalRanking41.rank(d_array45);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy47 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking48 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy47);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy49 = org.apache.commons.math3.stat.ranking.TiesStrategy.MAXIMUM;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest50 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy47, tiesStrategy49);
    double[] d_array53 = new double[] { 100.0d, 1.0d };
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy54 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator55 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking56 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy54, randomGenerator55);
    double[] d_array60 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array61 = naturalRanking56.rank(d_array60);
    double d62 = mannWhitneyUTest50.mannWhitneyUTest(d_array53, d_array60);
    double d63 = mannWhitneyUTest18.mannWhitneyU(d_array46, d_array60);
    // The following exception was thrown during execution in test generation
    try {
      double d64 = mannWhitneyUTest5.mannWhitneyUTest(d_array14, d_array60);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.5637028616507731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003263716901670266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tiesStrategy49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.5637028616507731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 6.0d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test396"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    int i4 = resizableDoubleArray1.start();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array7 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray5, resizableDoubleArray6);
    boolean b9 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray6);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray10);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray11.discardMostRecentElements(9);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test397"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.30153291745098787d, 1348.2003945182503d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1348.2003945182503d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test398"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.112963841460668E31d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test399"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator1 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0, randomGenerator1);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array4 = resizableDoubleArray3.getInternalValues();
    double[] d_array5 = naturalRanking2.rank(d_array4);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy6 = naturalRanking2.getNanStrategy();
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking7 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy6);
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking8 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy6);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy9 = naturalRanking8.getNanStrategy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy9);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test400"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(0.7088458720490367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 16.153033285063273d);

  }

  @Test
  public void test401() {}
// Defects4J: flaky method
//   @Test
//   public void test401() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test401"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     randomDataImpl0.reSeedSecure((-18L));
//     java.util.Collection collection8 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array10 = randomDataImpl0.nextSample(collection8, 65);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 106);
// 
//   }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test402"); }


    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy0 = org.apache.commons.math3.stat.ranking.NaNStrategy.FIXED;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking1 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0);
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking2 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy0);
    org.apache.commons.math3.stat.ranking.TiesStrategy tiesStrategy3 = null;
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest4 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest(naNStrategy0, tiesStrategy3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray7 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array8 = resizableDoubleArray7.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = resizableDoubleArray7.copy();
    int i10 = resizableDoubleArray9.start();
    double[] d_array11 = new double[] {  };
    resizableDoubleArray9.addElements(d_array11);
    resizableDoubleArray6.addElements(d_array11);
    double[] d_array14 = resizableDoubleArray6.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray15 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array14);
    double[] d_array16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = mannWhitneyUTest4.mannWhitneyU(d_array14, d_array16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.007290487253476001d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test404"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(40, 561);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-1.570731914830562d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999999979255494d));

  }

  @Test
  public void test406() {}
// Defects4J: flaky method
//   @Test
//   public void test406() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test406"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     double d5 = randomDataImpl1.nextExponential(100.0d);
//     double d8 = randomDataImpl1.nextF(4.641588833612779d, 1.423484575406847d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution9 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b10 = normalDistribution9.isSupportLowerBoundInclusive();
//     boolean b11 = normalDistribution9.isSupportConnected();
//     boolean b12 = normalDistribution9.isSupportUpperBoundInclusive();
//     double d13 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution9);
//     int i16 = randomDataImpl1.nextSecureInt(0, 10);
//     randomDataImpl1.reSeedSecure((-66L));
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution22 = new org.apache.commons.math3.distribution.NormalDistribution(0.02762562018745763d, 1.423484575406847d, 0.0d);
//     double d24 = normalDistribution22.cumulativeProbability(0.08330726157746504d);
//     boolean b25 = normalDistribution22.isSupportConnected();
//     double d26 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution22);
//     int i29 = randomDataImpl1.nextSecureInt(0, 164);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d32 = randomDataImpl1.nextBeta(0.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 224.38740780195423d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.7690635997119549d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b10 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b11 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b12 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.7937633604685774d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 0.5156012209852924d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b25 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d26 == (-1.163276539760702d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i29 == 126);
// 
//   }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test407"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(1, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 17);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test408"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    resizableDoubleArray6.setElement(0, 15.104412573075516d);
    resizableDoubleArray6.clear();
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest13 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray15 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array16 = resizableDoubleArray15.getInternalValues();
    double[] d_array19 = new double[] { 10.0d, 10.0d };
    double d20 = mannWhitneyUTest13.mannWhitneyU(d_array16, d_array19);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray21 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array16);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray21);
    double d24 = resizableDoubleArray6.addElementRolling(1.8333394794905649d);
    java.lang.Object obj25 = null;
    boolean b26 = resizableDoubleArray6.equals(obj25);
    float f27 = resizableDoubleArray6.getExpansionFactor();
    int i28 = resizableDoubleArray6.getNumElements();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray6.discardFrontElements(26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f27 == 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test409"); }


    double d1 = org.apache.commons.math3.special.Erf.erfc((-16.06063285676513d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test410"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test411"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.005998823954642874d, 0.9886441842744987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9886441842744987d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test412"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray((-45), 4.0f, 1.1920929E-7f, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.7605399919685716d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7015578530249527d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test414"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(7596, 7596);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test415"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(29.043020824896875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0520771589075295E12d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test416"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.8876796469909659d, 0.9786337315244483d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.18127447864906854d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test417"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    double d3 = resizableDoubleArray0.addElementRolling(10.0d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = resizableDoubleArray4.copy();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray6);
    int i8 = resizableDoubleArray6.getNumElements();
    resizableDoubleArray6.addElement(0.0d);
    resizableDoubleArray6.setNumElements(140);
    resizableDoubleArray6.addElement((-5.4604557801341325E-6d));
    resizableDoubleArray6.clear();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray16 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array17 = resizableDoubleArray16.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray18 = resizableDoubleArray16.copy();
    int i19 = resizableDoubleArray18.start();
    double[] d_array20 = new double[] {  };
    resizableDoubleArray18.addElements(d_array20);
    resizableDoubleArray18.setNumElements(40);
    resizableDoubleArray18.setElement(114, (-0.11763814684152732d));
    int i27 = resizableDoubleArray18.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray18);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray29 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray30 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray29);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray6, resizableDoubleArray29);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = resizableDoubleArray29.substituteMostRecentElement(2.2169155532488376d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 115);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test418"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-1731L), 75L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 75L);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test419"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(5.7295779513082324E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.7295781154485534E-8d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test420"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-4616L), (-642826634143579008L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-642826634143579008L));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test421"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.0047947901630221775d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.0216766410531902E-8d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test422"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(45L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test423"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(75L, 1320L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1395L);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test424"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP(0.9746960645566888d, 0.7125145114654184d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5218510795225086d);

  }

  @Test
  public void test425() {}
// Defects4J: flaky method
//   @Test
//   public void test425() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test425"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i7 = randomDataImpl0.nextInversionDeviate(integerDistribution6);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.89517421969819d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.7118785050078962d);
// 
//   }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test426"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(1.5706217938714693d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10051986714495165d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.8333394794905649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.08311507484054843d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.4875291875493706d));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test429"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    int i3 = resizableDoubleArray2.start();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray4);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    double[] d_array7 = resizableDoubleArray5.getInternalValues();
    resizableDoubleArray2.addElements(d_array7);
    resizableDoubleArray2.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test430"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(37.601798330689135d, 107.56350718703303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.05637366980047E-15d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test431"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(0.38631957433229236d, 0.9999087965829937d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test432"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(0, 33554436);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 33554436);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test433"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(136L, (-46L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 136L);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test434"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException5 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)3.141592653589793d, (java.lang.Number)108, (java.lang.Number)397.28447803570276d);
    java.lang.Throwable[] throwable_array6 = outOfRangeException5.getSuppressed();
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathInternalError8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test435"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(17339.038447988423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.760715795970464d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test436"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.11818382194647535d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8885327057902264d);

  }

  @Test
  public void test437() {}
// Defects4J: flaky method
//   @Test
//   public void test437() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test437"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution1 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b2 = normalDistribution1.isSupportLowerBoundInclusive();
//     boolean b3 = normalDistribution1.isSupportConnected();
//     boolean b4 = normalDistribution1.isSupportUpperBoundInclusive();
//     double d5 = normalDistribution1.getNumericalMean();
//     double d6 = normalDistribution1.getStandardDeviation();
//     boolean b7 = normalDistribution1.isSupportLowerBoundInclusive();
//     double d8 = randomDataImpl0.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution1);
//     // The following exception was thrown during execution in test generation
//     try {
//       double[] d_array10 = normalDistribution1.sample((-32260073));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b2 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b7 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.8417017443942613d);
// 
//   }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test438"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 29);

  }

  @Test
  public void test439() {}
// Defects4J: flaky method
//   @Test
//   public void test439() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test439"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     int i6 = randomDataImpl1.nextInt(0, 10);
//     randomDataImpl1.reSeed(10L);
//     randomDataImpl1.reSeedSecure((-1L));
//     double d13 = randomDataImpl1.nextWeibull(100.00957394383741d, 1.6670475554928754d);
//     long long16 = randomDataImpl1.nextSecureLong(1L, 56L);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d20 = randomDataImpl1.nextUniform(5.0d, 2.9409314643640515E-4d, false);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.6563590211387509d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == 46L);
// 
//   }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test440"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray1);
    resizableDoubleArray1.setElement(0, 0.6931471805599453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test441"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.8720873570426033d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8720873570426033d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test442"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-22), 22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 22);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test443"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    double d2 = normalDistribution0.getNumericalVariance();
    double d3 = normalDistribution0.getNumericalVariance();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test444() {}
// Defects4J: flaky method
//   @Test
//   public void test444() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test444"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     double d8 = randomDataImpl0.nextUniform(0.40962626434553495d, 0.9062148310548903d);
//     int i11 = randomDataImpl0.nextSecureInt(15, 112);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i14 = randomDataImpl0.nextZipf(102, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == (-0.7259853816464604d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.8054146602227155d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.7632329346492677d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i11 == 25);
// 
//   }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test445"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.3888499328147672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.650069552134236d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.027790334115367004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test447"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(8.477315900669616E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.16283666761859622d));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(2.077294853052011E68d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(676508.5664540033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test450"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeed(1L);
    int i6 = randomDataImpl1.nextInt(0, 10);
    int i9 = randomDataImpl1.nextInt(10, 100);
    double d12 = randomDataImpl1.nextBeta(100.0d, 10.0d);
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution13 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b14 = normalDistribution13.isSupportLowerBoundInclusive();
    boolean b15 = normalDistribution13.isSupportConnected();
    boolean b16 = normalDistribution13.isSupportUpperBoundInclusive();
    double d17 = normalDistribution13.getNumericalMean();
    double d18 = normalDistribution13.getStandardDeviation();
    double[] d_array20 = normalDistribution13.sample(1);
    double d21 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution13);
    boolean b22 = normalDistribution13.isSupportUpperBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.9521520958603427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-0.8366105123463112d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test451"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
    double d4 = normalDistribution0.getNumericalMean();
    double d5 = normalDistribution0.getStandardDeviation();
    boolean b6 = normalDistribution0.isSupportLowerBoundInclusive();
    double d7 = normalDistribution0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test452"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(12.465948552620032d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.5307150200235693d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test453"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)54.784729398112326d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test454() {}
// Defects4J: flaky method
//   @Test
//   public void test454() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test454"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     java.lang.String str5 = randomDataImpl0.nextSecureHexString(100);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl0.setSecureAlgorithm("62e60d7f386db182", "org.apache.commons.math3.exception.NumberIsTooLargeException: 1 is larger than the maximum (10)");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.1919673178961716d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "8a9506e4b306cf117c8fa124e911588b33358bae05a2d5dbaf680ed3f71c8eca8eaafdc88c19ae6d76982f48e98783cadbe7"+ "'", str5.equals("8a9506e4b306cf117c8fa124e911588b33358bae05a2d5dbaf680ed3f71c8eca8eaafdc88c19ae6d76982f48e98783cadbe7"));
// 
//   }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test455"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(40);
    double d3 = resizableDoubleArray1.addElementRolling(1.0d);
    resizableDoubleArray1.setElement(100, 4.641588833612779d);
    double d8 = resizableDoubleArray1.addElementRolling(0.9886441842744987d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray9);
    java.lang.Object obj11 = null;
    boolean b12 = resizableDoubleArray10.equals(obj11);
    double[] d_array13 = resizableDoubleArray10.getElements();
    float f14 = resizableDoubleArray10.getContractionCriteria();
    float f15 = resizableDoubleArray10.getContractionCriteria();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray10);
    double[] d_array17 = resizableDoubleArray1.getInternalValues();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f14 == 2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test456"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma((-0.23021936511755658d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test457"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(2.8384470990384627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.453080804564682d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test458"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-53L), (-4690L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4690L));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test459"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(10.000001f, 0.10726633188542953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test460"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(17339.038447988423d, (-0.003429045222741478d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707965245593363d);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.15321742203759092d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7755575615628914E-17d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test462"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(19, (-45));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 19);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.3242304667156317d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2808315108829883d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test464"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray1);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray2);
    int i4 = resizableDoubleArray3.getExpansionMode();
    float f5 = resizableDoubleArray3.getExpansionFactor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f5 == 2.0f);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test465"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.9999983894441402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7853973581188699d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test466"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution(0.0d, 0.4683216121995111d);
    boolean b3 = normalDistribution2.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test467() {}
// Defects4J: flaky method
//   @Test
//   public void test467() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test467"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     double d3 = randomDataImpl0.nextGaussian((-5.4604557801341325E-6d), 0.8720873570426033d);
//     double d5 = randomDataImpl0.nextExponential(0.8717983538378159d);
//     randomDataImpl0.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i9 = randomDataImpl0.nextZipf(22, (-0.3217696103745723d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.18404901372772112d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.446738432708663d);
// 
//   }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test468"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution3 = new org.apache.commons.math3.distribution.NormalDistribution((-1.5707963267937042d), 0.8770061950999479d, 0.0d);
    boolean b4 = normalDistribution3.isSupportConnected();
    boolean b5 = normalDistribution3.isSupportUpperBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.8954223451158948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-1.6213944815301478d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test471"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(short)1, (java.lang.Number)(short)100, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test472"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(1348.2003945182503d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8364.956459678371d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test473"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
    boolean b2 = normalDistribution0.isSupportConnected();
    double d4 = normalDistribution0.density((-169.06365548738233d));
    boolean b5 = normalDistribution0.isSupportLowerBoundInclusive();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistribution0.cumulativeProbability(0.2072532829691938d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test474"); }


    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest0 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array3 = resizableDoubleArray2.getInternalValues();
    double[] d_array6 = new double[] { 10.0d, 10.0d };
    double d7 = mannWhitneyUTest0.mannWhitneyU(d_array3, d_array6);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy8 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking9 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy8);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest10 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array13 = resizableDoubleArray12.getInternalValues();
    double[] d_array16 = new double[] { 10.0d, 10.0d };
    double d17 = mannWhitneyUTest10.mannWhitneyU(d_array13, d_array16);
    double[] d_array18 = naturalRanking9.rank(d_array16);
    org.apache.commons.math3.stat.ranking.NaNStrategy naNStrategy19 = org.apache.commons.math3.stat.ranking.NaturalRanking.DEFAULT_NAN_STRATEGY;
    org.apache.commons.math3.random.RandomGenerator randomGenerator20 = null;
    org.apache.commons.math3.stat.ranking.NaturalRanking naturalRanking21 = new org.apache.commons.math3.stat.ranking.NaturalRanking(naNStrategy19, randomGenerator20);
    double[] d_array25 = new double[] { 100.0d, 10.0d, 0.0d };
    double[] d_array26 = naturalRanking21.rank(d_array25);
    double d27 = mannWhitneyUTest0.mannWhitneyUTest(d_array16, d_array25);
    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest28 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray30 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    double[] d_array31 = resizableDoubleArray30.getInternalValues();
    double[] d_array34 = new double[] { 10.0d, 10.0d };
    double d35 = mannWhitneyUTest28.mannWhitneyU(d_array31, d_array34);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray36 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray37 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array38 = resizableDoubleArray37.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray36, resizableDoubleArray37);
    double[] d_array40 = resizableDoubleArray37.getInternalValues();
    double d41 = mannWhitneyUTest0.mannWhitneyU(d_array31, d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(naNStrategy19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 200.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 800.0d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test475"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-91), (-32260073));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 32259982);

  }

  @Test
  public void test476() {}
// Defects4J: flaky method
//   @Test
//   public void test476() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test476"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d13 = randomDataImpl1.nextExponential(11.883686587327812d);
//     org.apache.commons.math3.distribution.IntegerDistribution integerDistribution14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       int i15 = randomDataImpl1.nextInversionDeviate(integerDistribution14);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9743003099025572d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 11.698622324426307d);
// 
//   }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test477"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.9718430214086451d, 2.6489151012837057E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test478"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array3 = resizableDoubleArray2.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray2.copy();
    int i5 = resizableDoubleArray4.start();
    double[] d_array6 = new double[] {  };
    resizableDoubleArray4.addElements(d_array6);
    resizableDoubleArray1.addElements(d_array6);
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution9 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b10 = normalDistribution9.isSupportLowerBoundInclusive();
    boolean b11 = normalDistribution9.isSupportConnected();
    boolean b12 = normalDistribution9.isSupportLowerBoundInclusive();
    double d14 = normalDistribution9.inverseCumulativeProbability(0.9062148310548903d);
    double d16 = normalDistribution9.probability(100.00953924665411d);
    boolean b17 = resizableDoubleArray1.equals((java.lang.Object)normalDistribution9);
    resizableDoubleArray1.contract();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.3178008064861262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test479"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-1731L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1731L);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test480"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(38, 66460480);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 66460518);

  }

  @Test
  public void test481() {}
// Defects4J: flaky method
//   @Test
//   public void test481() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test481"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeed(1L);
//     java.lang.String str5 = randomDataImpl1.nextHexString(100);
//     randomDataImpl1.reSeed(0L);
//     randomDataImpl1.reSeed();
//     double d11 = randomDataImpl1.nextBeta(5729.5779513082325d, 158.02878621655813d);
//     double d14 = randomDataImpl1.nextCauchy(0.5772156649015329d, 0.9677066418664539d);
//     double d17 = randomDataImpl1.nextWeibull(0.19998956192426343d, 1.2184249125858766d);
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution18 = new org.apache.commons.math3.distribution.NormalDistribution();
//     double d19 = normalDistribution18.getNumericalMean();
//     double d20 = normalDistribution18.getStandardDeviation();
//     double d21 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)normalDistribution18);
//     java.lang.String str23 = randomDataImpl1.nextHexString(120);
//     double d25 = randomDataImpl1.nextT(0.9129162872031986d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d28 = randomDataImpl1.nextCauchy(1.0191098900161986E-9d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str5 + "' != '" + "93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"+ "'", str5.equals("93042192d20dfe8bbdb342d50f3c8b6966512c761145b257a0d40fb373a41dbfc6c541cc999927b668f44b7443661de58abf"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d11 == 0.9736991283775533d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 0.9271299357333809d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.495332106969986E-5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d19 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d20 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == (-1.1235902787826864d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str23 + "' != '" + "eff56f8449dbbb3bf74af09808c91de5b6676fe0baf0485dc7ab9862a7d3a6b7a331a60eb5603bd939655655a8c501f604b8c1ecdc4ae5691a41acd8"+ "'", str23.equals("eff56f8449dbbb3bf74af09808c91de5b6676fe0baf0485dc7ab9862a7d3a6b7a331a60eb5603bd939655655a8c501f604b8c1ecdc4ae5691a41acd8"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d25 == (-0.055703380135575895d));
// 
//   }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test482"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-10.000001f), 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000001f);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test483"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(570, 7596);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test484"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array1 = resizableDoubleArray0.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray0.copy();
    resizableDoubleArray2.setNumElements(130);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.setExpansionFactor(2.3841858E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.7600859567095588d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7600859567095587d));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.5716446432157827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-8.483163191388843E-4d));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test487"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(61L, 3630933L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 221486913L);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test488"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = new org.apache.commons.math3.util.ResizableDoubleArray();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
    int i2 = resizableDoubleArray1.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array4 = resizableDoubleArray3.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray3.copy();
    int i6 = resizableDoubleArray5.start();
    double[] d_array7 = new double[] {  };
    resizableDoubleArray5.addElements(d_array7);
    resizableDoubleArray5.setNumElements(40);
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    resizableDoubleArray1.addElement(9.596471481410536E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test489"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)8.477315900669616E8d, (java.lang.Number)0.9521520958603427d, true);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test490"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma((-0.6636391465277816d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.201500223671934d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test491"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.9999980155990686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test492"); }


    org.apache.commons.math3.stat.inference.MannWhitneyUTest mannWhitneyUTest0 = new org.apache.commons.math3.stat.inference.MannWhitneyUTest();
    org.apache.commons.math3.distribution.NormalDistribution normalDistribution1 = new org.apache.commons.math3.distribution.NormalDistribution();
    boolean b2 = normalDistribution1.isSupportLowerBoundInclusive();
    boolean b3 = normalDistribution1.isSupportConnected();
    boolean b4 = normalDistribution1.isSupportUpperBoundInclusive();
    double d5 = normalDistribution1.getNumericalMean();
    double d6 = normalDistribution1.getStandardDeviation();
    double[] d_array8 = normalDistribution1.sample(1);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(100);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray11 = new org.apache.commons.math3.util.ResizableDoubleArray();
    double[] d_array12 = resizableDoubleArray11.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray13 = resizableDoubleArray11.copy();
    int i14 = resizableDoubleArray13.start();
    double[] d_array15 = new double[] {  };
    resizableDoubleArray13.addElements(d_array15);
    resizableDoubleArray10.addElements(d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = mannWhitneyUTest0.mannWhitneyU(d_array8, d_array15);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException");
    } catch (org.apache.commons.math3.exception.NoDataException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoDataException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoDataException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test493"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(7606, (-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-30424));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test494"); }


    org.apache.commons.math3.distribution.NormalDistribution normalDistribution2 = new org.apache.commons.math3.distribution.NormalDistribution((-0.5750061825784119d), 158.02878621655813d);
    double d3 = normalDistribution2.getNumericalVariance();
    double d4 = normalDistribution2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 24973.097273078634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 158.02878621655813d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.0014873223608793656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0014873212641646194d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test496"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma((-9.985722385060846d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test497() {}
// Defects4J: flaky method
//   @Test
//   public void test497() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test497"); }
// 
// 
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();
//     randomDataImpl0.reSeed(10L);
//     int i5 = randomDataImpl0.nextSecureInt(100, 140);
//     randomDataImpl0.reSeedSecure((-18L));
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = randomDataImpl0.nextInt(34, (-4));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i5 == 128);
// 
//   }

  @Test
  public void test498() {}
// Defects4J: flaky method
//   @Test
//   public void test498() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest3.test498"); }
// 
// 
//     org.apache.commons.math3.distribution.NormalDistribution normalDistribution0 = new org.apache.commons.math3.distribution.NormalDistribution();
//     boolean b1 = normalDistribution0.isSupportLowerBoundInclusive();
//     boolean b2 = normalDistribution0.isSupportConnected();
//     boolean b3 = normalDistribution0.isSupportUpperBoundInclusive();
//     double d4 = normalDistribution0.getSupportUpperBound();
//     double d5 = normalDistribution0.sample();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b1 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b2 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b3 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == Double.POSITIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == (-0.46491010350373624d));
// 
//   }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test499"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(28);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.setExpansionFactor(1.192093E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest3.test500"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(481.8729792298881d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0233403028118324d);

  }

}
